#
# spec file for package libzypp (Version 3.27.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit PolicyKit aaa_base acl attr audit-libs autoconf automake bash binutils boost boost-devel brp-check-internal bzip2 cmake coreutils cpio cpp cpp42 cracklib curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel dejagnu desktop-translations diffutils doxygen expect file filesystem fillup findutils fontconfig gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale graphviz grep groff gzip hal hal-devel info insserv less libacl libattr libblkid-devel libblkid1 libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libcurl-devel libcurl4 libdb-4_5 libexpat1 libext2fs-devel libext2fs2 libgcc42 libgomp42 libicu libidn libidn-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs pam pam-config pam-modules parted patch pcre pcre-devel perl perl-base permissions pkg-config pmtools popt popt-devel post-build-checks pwdutils rpm rpm-devel sed setserial sqlite sqlite-devel sysvinit tar tcl texinfo timezone update-desktop-files util-linux xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxcb xorg-x11-libxkbfile zlib zlib-devel


Name:           libzypp
License:        GPL v2 or later
Group:          System/Packages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Summary:        Package, Patch, Pattern, and Product Management
Version:        3.27.3
Release:        0.1
Source:         libzypp-3.27.3.tar.bz2
Source1:        libzypp-rpmlintrc
Prefix:         /usr
Provides:       yast2-packagemanager
Obsoletes:      yast2-packagemanager
BuildRequires:  cmake
BuildRequires:  sqlite sqlite-devel
BuildRequires:  boost-devel curl-devel dejagnu doxygen gcc-c++ gettext-devel graphviz hal-devel libxml2-devel rpm-devel
BuildRequires:  update-desktop-files
Requires:       gpg2

%description
Package, Patch, Pattern, and Product Management

Authors:
--------
    Michael Andres <ma@suse.de>
    Jiri Srain <jsrain@suse.cz>
    Stefan Schubert <schubi@suse.de>
    Duncan Mac-Vicar <dmacvicar@suse.de>
    Klaus Kaempf <kkaempf@suse.de>
    Marius Tomaschewski <mt@suse.de>
    Stanislav Visnovsky <visnov@suse.cz>
    Ladislav Slezak <lslezak@suse.cz>

%debug_package
%package devel
License:        GPL v2 or later
Requires:       libzypp == 3.27.3
Requires:       libxml2-devel curl-devel openssl-devel rpm-devel glibc-devel zlib-devel
Requires:       bzip2 popt-devel dbus-1-devel glib2-devel hal-devel boost-devel libstdc++-devel
Requires:       cmake
Summary:        Package, Patch, Pattern, and Product Management - developers files
Group:          System/Packages
Provides:       yast2-packagemanager-devel
Obsoletes:      yast2-packagemanager-devel

%description -n libzypp-devel
Package, Patch, Pattern, and Product Management - developers files

Authors:
--------
    Michael Andres <ma@suse.de>
    Jiri Srain <jsrain@suse.cz>
    Stefan Schubert <schubi@suse.de>
    Duncan Mac-Vicar <dmacvicar@suse.de>
    Klaus Kaempf <kkaempf@suse.de>
    Marius Tomaschewski <mt@suse.de>
    Stanislav Visnovsky <visnov@suse.cz>
    Ladislav Slezak <lslezak@suse.cz>

%prep
%setup -q

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%{prefix} \
      -DLIB=%{_lib} \
      -DCMAKE_C_FLAGS_RELEASE:STRING="%{optflags}" \
      -DCMAKE_CXX_FLAGS_RELEASE:STRING="%{optflags}" \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_SKIP_RPATH=1 \
      ..
make %{?jobs:-j %jobs} VERBOSE=1
make -C doc/autodoc %{?jobs:-j %jobs}
make -C po %{?jobs:-j %jobs} translations
#make check

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
make -C doc/autodoc install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/zypp/repos.d
%suse_update_desktop_file -G "" -C "" package-manager
make -C po install DESTDIR=$RPM_BUILD_ROOT
# Create filelist with translations
cd ..
%{find_lang} zypp

%post
%run_ldconfig
%{prefix}/lib/zypp/zypp-migrate-sources

%postun
%run_ldconfig

%clean

%files -f zypp.lang
%defattr(-,root,root)
%dir               /etc/zypp
%dir               /etc/zypp/repos.d
%config(noreplace) /etc/zypp/zypp.conf
%{prefix}/lib/zypp
%{prefix}/share/zypp
%{prefix}/share/applications/package-manager.desktop
%{prefix}/share/pixmaps/package-manager-icon.png
%{prefix}/bin/package-manager
%{prefix}/bin/package-manager-su
%{_libdir}/libzypp*so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libzypp.so
#%dir %{_libdir}/libzypp.la
%{_docdir}/%{name}
%dir %{prefix}/include/zypp
%{prefix}/include/zypp/*
%{prefix}/share/cmake/Modules/FindZypp.cmake
%{_libdir}/pkgconfig/libzypp.pc

%changelog
* Wed Oct 15 2008 - ma@suse.de
- Fix package-manager script to properly quote arguments.
  (bnc #30903,#420046)
- revision 11355
- version 3.27.3
* Fri Jul 04 2008 - ma@suse.de
- Also check if the fingerprint matches before importing updated keys.
  (bnc #393160)
- version 3.27.2
- revision 10498
* Fri Jun 27 2008 - ma@suse.de
- Invoke gpg with --homdir, otherwise command fails if executed
  within a wrapper. (bnc #401259)
- version 3.27.1
- revision 10482
* Thu Jun 26 2008 - ma@suse.de
- Import newer gpg keys if a trusted key is updated
  (bnc#393160)
- version 3.27.0
- revision 10473
* Wed Feb 20 2008 - dmacvicar@suse.de
- Fetcher::reset() should not reset cache directories.
  (bnc #348050)
- version 3.26.8
* Tue Jan 29 2008 - jkupec@suse.cz
- read .curlrc more robustly to obtain user-proxy (bnc #330351,
  bnc #331038)
- version 3.26.7
- revision 8383
* Wed Dec 19 2007 - ma@suse.de
- Don't mark failed patch scripts as installed. (#327523)
- version 3.26.6
- revision 8129
* Mon Nov 26 2007 - ma@suse.de
- Fix missing packages in patch content list. (#340896)
- version 3.26.5
- revision 7926
* Fri Oct 12 2007 - ma@suse.de
- SMBIOS DMI modalias matching added (#333152)
- version 3.26.4
- revision 7493
* Thu Sep 27 2007 - ma@suse.de
- Fixed pattern parser SEGV on broken pattern files. (#328546)
- version 3.26.3
- revision 7401
* Tue Sep 25 2007 - schubi@suse.de
- QueuItemRequire: Filter out all provider which have worser architecture,
  are NOT noarch and have not the same name as the requirement. The
  last one is needed for updating packages via patch/atoms.
  Bug 328081
- Revert changes of r 7340
- r 7379
- version 3.26.2
* Tue Sep 25 2007 - ma@suse.de
- Add missing '--install' parameter in desktop file. (#308640)
- version 3.26.1
- revision 7367
* Tue Sep 25 2007 - jkupec@suse.cz
- release all attached media before attempting to eject (#293428)
- fixed parsing of --proxy-user parameter of .curlrc (#309139)
- revision 7352
- version 3.26.0
* Mon Sep 24 2007 - dmacvicar@suse.de
- provide a way to retrieve the metadata path. Used for
  installation, which incorrectly creates a repository in
  cache without adding it first, so metadata path is not
  set and therefore it is not possible to setup a media
  verifier on installation. Part of fix for (#293428)
- 3.25.0
* Mon Sep 24 2007 - schubi@suse.de
- If more than one resolvables provide a requirements and have different
  architecture take thatone with the best architecture. (Not regarding the
  name). Bug: Branching too much while an installation of a multi-arch-DVD
- r 7340
- version 3.24.8
* Fri Sep 21 2007 - schubi@suse.de
- Checking the queue if an item will be deleted. If yes, the requirements
  are not needed anymore. Bug 326384
- version 3.24.7
- r 7329
* Thu Sep 20 2007 - jkupec@suse.cz
- don't probe the repository type upon saving if disabled (#326769)
- version 3.24.6
- revision 7319
* Thu Sep 20 2007 - ma@suse.de
- Avoid calling rpm repeatedly in case of an error. This is fault-prone,
  esp. if the error occurred executing the packages post-install script.
- version 3.24.5
- revision 7317
* Thu Sep 20 2007 - ma@suse.de
- If a package is deselected by user, apply this soft lock to all
  available versions of this package.
- version 3.24.4
- revision 7316
* Wed Sep 19 2007 - schubi@suse.de
- Update: Do not set an item to installation if there has been already set
  one for installation which has the same NVA. Bug  326286
- version 3.24.3
- r 7311
* Wed Sep 19 2007 - ma@suse.de
- Enable package cache during commit. (#326249)
- revision 7309
* Tue Sep 18 2007 - schubi@suse.de
- Do not regarding requirements for packages which will be deleted in the
  same solver run. Bug 310618
- r 7292
- version 3.24.2
* Mon Sep 17 2007 - jkupec@suse.cz
- don't download filelists.xml.gz (#307105)
- version 3.24.1
- revision 7269
* Mon Sep 17 2007 - ma@suse.de
- Improve estimated diskusage while there is no valid
  solver result. (#325617)
- revision 7266
* Mon Sep 17 2007 - schubi@suse.de
-Bugfix in vendor change of a required resolvable (Correct error message)
  Bug 310455
- r 7262
* Mon Sep 17 2007 - lslezak@suse.cz
- fixed DU parsing in inst-sys (#308659)
- revision 7256
* Sat Sep 15 2007 - ma@suse.de
- Enable using patch and delta rpms. (#309124)
- version 3.24.0
- revision 7253
* Thu Sep 13 2007 - ma@suse.de
- On update do not delete unmaintained non-SuSE packages.
- version 3.23.2
- revision 7239
* Thu Sep 13 2007 - lslezak@suse.cz
- ZYppImpl::getPartitions() - don't return the current partitioning
  when the partitioning hasn't been set - fixes DU parsing in
  inst-sys (#308659)
* Thu Sep 13 2007 - dmacvicar@suse.de
- Throw specific exceptions during commit (#308511)
- 3.23.1
* Wed Sep 12 2007 - ma@suse.de
- Various disk space calculation fixes. Susetags, plaindir and rpmdb
  now provide more detailed disk usage information.
  Yum metadata don't, so we book the package size to '/'. (#308362)
- version 3.23.0
- revision 7225
* Wed Sep 12 2007 - schubi@suse.de
- Regarding keep state while recycle old valid solver results. Bug 286889
- r 7209
* Wed Sep 12 2007 - jkupec@suse.cz
- report 100%% progress on finishing RPM removal (bug #309431)
- revision 7200
* Tue Sep 11 2007 - schubi@suse.de
- Update: rename language packages --> take that package which fits to the
  selected language Bug 308098
- r 7919
* Tue Sep 11 2007 - dmacvicar@suse.de
- restore deltas and patch rpms from the cache (#309124)
- 3.22.8
* Tue Sep 11 2007 - ma@suse.de
- Don't fail if a product is deleted multiple times (e.g. due to
  obsoletes and an explicit deleted request). (#308746)
- version 3.22.7
- revision 7184
* Tue Sep 11 2007 - jkupec@suse.cz
- SYSCONFDIR variable added for modifying /etc
* Tue Sep 11 2007 - schubi@suse.de
- uninstallable resolvable -->suggested solution: delete; Bug 308164
- r 7177
* Mon Sep 10 2007 - schubi@suse.de
- new translations added
- r 7166
- version 3.22.6
* Mon Sep 10 2007 - lslezak@suse.cz
- fixed disk usage counting of updated packages (#308362)
* Mon Sep 10 2007 - schubi@suse.de
- Splitting packages: Take the package with the best
  architecture,edition ONLY; Bug 308591
- r 7160
* Mon Sep 10 2007 - lslezak@suse.cz
- properly report fallback disk usage size (in kB instead of bytes)
  when disk usage is not known (YUM repos) (#308475)
* Fri Sep 07 2007 - ma@suse.de
- Install a sample /etc/zypp.conf. (#306615)
- Fixed missing soversion symlink in package.
- version 3.22.5
- revision 7150
* Fri Sep 07 2007 - schubi@suse.de
- RequirementIsMet: return true only if ALL Atoms are NOT incomplete; Bug
  308252
- r 7143
* Thu Sep 06 2007 - schubi@suse.de
- Error: Select two candidate with the same name while update.
  Solution: If there is a candidate which is already selected for installation -->
  take thatone #308082
- r 7132
* Thu Sep 06 2007 - ma@suse.de
- Work arround installed patterns providing an empty vendor string. (#307743)
- Let the solver treat vendor suse and opensuse as equivalent.
- version 3.22.4
* Thu Sep 06 2007 - schubi@suse.de
- Checking item before evaluating the concerning vendor. bug #307941
- r 7119
* Thu Sep 06 2007 - dmacvicar@suse.de
- Fix for bug #307163 - empty package descriptions
  a.k.a shared tag not 100%% implemented
- r 7117
- version 3.22.3
* Wed Sep 05 2007 - schubi@suse.de
- logging "reverse" NEEDED_BY in the detail description of solver
  problems.
- improved error message if a requiremnt is not fulfilled Bug 307743
- Add "ignore" option to the solution if a requirement is not fulfilled
  Bug 304276
- revision 7113
* Wed Sep 05 2007 - jkupec@suse.cz
- fixed the order of operands of susetags local metadata status
  computation which caused the YaST repositories to always get
  refreshed (part of bug #304310)
- revision 7107
- version 3.22.2
* Tue Sep 04 2007 - schubi@suse.de
- comparing vendor with VendorAttr::equivalent
- revision 7103
* Mon Sep 03 2007 - schwab@suse.de
- Use $RPM_OPT_FLAGS.
* Mon Sep 03 2007 - ma@suse.de
- Reset transact bits when switching status from
  "update" to "protected" (#246976)
- version 3.22.1
- revision 7094
* Mon Sep 03 2007 - schubi@suse.de
- new translations added
- rev 7083
* Sat Sep 01 2007 - ma@suse.de
- Added ability to switch off use of patch and delta rpms via zypp.conf (#305864)
  [main]
  download.use_patchrpm = no
  download.use_deltarpm = no
- version 3.22.0
- revision 7069
* Fri Aug 31 2007 - ma@suse.de
- On demand translate patch requirements into a list of atoms.
  Required by the UI to display packages acssociated with a patch.
  (#300612)
- version 3.21.1
- revision 7065
* Fri Aug 31 2007 - kkaempf@suse.de
- enrich ResolverInfo with the reason if a user-initiated request
  fails (#304325, #306240)
- r 7051
* Thu Aug 30 2007 - jkupec@suse.cz
- added missing implementation of LogControl::setLineFormater()
  (lslezak)
- version 3.21.0
- revision 7041
* Thu Aug 30 2007 - jkupec@suse.cz
- enable changing url in requestMedia callback (#294481)
- revision 7037
* Thu Aug 30 2007 - ma@suse.de
- Filter readonly mount points in DiskUsageCounter (#297405)
- revision 7030
* Thu Aug 30 2007 - jkupec@suse.cz
- remember the cause of the RepoException when refreshing metadata
  (#301022)
- r7023
* Thu Aug 30 2007 - ma@suse.de
- Safe fix for bug #299680.
- version 3.20.1
- revision 7026
* Thu Aug 30 2007 - schubi@suse.de
- Bugfix: If a requirement has been fulfilled by more than one language
  resolvables only thatone will be taken which fits to the selected
  language.
- r 7018
* Thu Aug 30 2007 - jkupec@suse.cz
- correct error code for media errors in MediaCurl::doGetFileCopy()
  affects only zypper error output, does not affect YaST
- r7013
* Wed Aug 29 2007 - jkupec@suse.cz
- reverted blocking of requestMedia from r6271 (#301710)
- r6999
* Wed Aug 29 2007 - kkaempf@suse.de
- prevent progress report in destructor (#299680)
- r6998
* Wed Aug 29 2007 - jkupec@suse.cz
- treat non-filelists.xml <file> entries as file provides capabilities
  in YUM parser (#304701)
- r6992
* Wed Aug 29 2007 - kkaempf@suse.de
- the media.1/media uniquely identifies a 'susetags' repo, not
  the content file (#304200)
* Wed Aug 29 2007 - jkupec@suse.cz
- fixed locale dir (#304649)
- r6984
* Wed Aug 29 2007 - kkaempf@suse.de
- don't treat normal package license as "license to confirm"
  (#305906)
* Wed Aug 29 2007 - ma@suse.de
- Fixed fix for #293039. Segfault due to uninitialzed data.
- version 3.19.3
- revision 6980
* Wed Aug 29 2007 - schubi@suse.de
- reduced too much verbosed ResolverContext logging; Bug 303971
- r 6977
* Wed Aug 29 2007 - ma@suse.de
- Fixed PlainDir repositories to provide real disk usage data. For
  repomd and others that do not provide any detailed disk usage info,
  assume the packgage size is required below "/". Peviously they were
  treated as being empy.
- version 3.19.2
- revision 6972
* Wed Aug 29 2007 - schubi@suse.de
- Add a new solver solution in the case of running in a timeout:
  ProblemSolutionDoubleTimeout.h
  [#]Bug 302496
- revision 6970
* Wed Aug 29 2007 - dmacvicar@suse.de
- bug in fix for (#292986)
* Tue Aug 28 2007 - dmacvicar@suse.de
- (#297001) - libzypp: can't skip broken packages
- re enable importing zypp keyring from rpm.(#302379)
- 3.19.1
* Tue Aug 28 2007 - kkaempf@suse.de
- rename ResolvableQuery::iterateResolvablesByKindsAndStrings
  to ResolvableQuery::iterateResolvablesByKindsAndStringsAndRepos
  in order to support query-by-repo (#305384)
- fix iterateResolvablesByKindsAndStringsAndRepos to take any
  number of kinds, names, or repos (#305347)
- remove ResolvableQuery::iterateResolvablesByKind, not needed
- version 3.19.0
- rev 6935
* Tue Aug 28 2007 - dmacvicar@suse.de
- real fix for reading signature ids. (#390535).
- delete metadata when removing repo (#301037).
* Tue Aug 28 2007 - dmacvicar@suse.de
- following behaviour for setPartitions
  - if they are not set, they are detected
  - if they are set, that value is used.
  - if value set or detected is empty, all disk usage
  information is read. Otherwise just values in those
  mount points.
  Should work for installation as long as detectPartitions
  is empty at installation.(#293039)
* Mon Aug 27 2007 - kkaempf@suse.de
- Add ZConfig::overrideSystemArchitecture() to override zypp arch
  from external, e.g. for the testcases
- Honor ZYPP_CONF environment variable to override the buit-in
  /etc/zypp/zypp.conf
- Check architecture at handout() to prevent NULL ptr reference.
- Bug 301286
- rev 6908
* Mon Aug 27 2007 - schubi@suse.de
-The solver generate an establish call for all
  resolvables which has filesystemcaps if there is not a valid result from a
  former solver run available. This covers:
  * Initial solver run
  * Changing of filesystem whithin a workflow, cause the solver results will
  be reset if the filesystem dependencies have been changed
  Bug 271912
- r 6901
* Sun Aug 26 2007 - kkaempf@suse.de
- pass location to plaindir package (#303751)
- Add name of file in question to checksum/signature related
  exceptions.
- pass basename of file to verifyFileSignatureWorkflow (instead of
  empty string).
- filter out incompatible architectures when parsing sustags
  repos (first half of #301286)
- r 6882
* Fri Aug 24 2007 - dmacvicar@suse.de
- don't run source migration if yast is running in
  intsys mode (#297136)
- signature and checksum verification fixes. Still pending
  problem ZYpp getting no output from gpg when running from zypper.
  (#302059)
* Thu Aug 23 2007 - schubi@suse.de
- Do not strip resolvables which have the same name but different kind
  (ResolverInfo*)
- Flag info NEEDEDBY correctly if it will be used by freshen/supplement
- r 6830
* Wed Aug 22 2007 - mvidner@suse.cz
- Do not use "a-z" in regexes. Fixes "Invalid Url scheme 'http'" in
  the Estonian locale (#302525).
* Wed Aug 22 2007 - aschnell@suse.de
- added remembering of exception history at various places
* Wed Aug 22 2007 - schubi@suse.de
- Bugfixes concerning vendor handling:
- first bug:
  Installed A-1.0(vendor SuSE)
  Available A-2.0(other vendor)
  A will not be regarded as "unmaintained". So it will not be deleted.
- second bug:
  A need B-2.0. B-1.0 is installed but has another vendor. Report a
  proper errmessage.
- Testcase : solution-tests/vendor-test.xml
- r 6812
- 3.18.4
* Tue Aug 21 2007 - dmacvicar@suse.de
- ignore HASH key for download (#300982)
* Tue Aug 21 2007 - schubi@suse.de
- Added explicitly_requested as parameter in ResolverContext::Uninstall
  Bug 299819
- revision 6794
* Tue Aug 21 2007 - dmacvicar@suse.de
- If no mount information is available, parse all DU entries.
- read only hack mode for migrate-sources. We actually do add
  repositories with it, but no harm. (#292986)
- fix some typos in exceptions (#301331)
- 3.18.3
* Mon Aug 20 2007 - schubi@suse.de
- Do not regard explicit request in order to recognize updated packages
  correctly. Bug 301676
- Updated translations
- r 6766
- 3.18.2
* Mon Aug 20 2007 - mvidner@suse.cz
- package-manager script: Call /sbin/yast2 with full path because of
  gnomesu (#269873).
* Mon Aug 20 2007 - dmacvicar@suse.de
- add support for the HASH key. (#300982)
- Use ContentFileParser in Downloader (instead of implementing
  the parser again, it has a reason, Downloader was written first)
- update testcases and data to cover the new HASH key
- 3.18.1
* Mon Aug 20 2007 - kkaempf@suse.de
- unify query API for kind and name, summary, description
  (incomplete)
- rev 6761, version 3.18.0
* Fri Aug 17 2007 - kkaempf@suse.de
- add iterateResolvablesByKindsAndName
- rev 6735, version 3.17.13
* Fri Aug 17 2007 - kkaempf@suse.de
- rename ResolvableQuery::queryByName to iterateResolvablesByName
- fix reading of kind and repository in ResolvableQuery
- add reverse lookups in CacheTypes
- add iterateResolvablesByKind
- rev 6733
* Fri Aug 17 2007 - schubi@suse.de
- shorten solver error messages Bug 259894
- rev 6723
* Fri Aug 17 2007 - kkaempf@suse.de
- fix ResolvableQuery::query(), add ResolvableQuery::queryByName()
  install zypp/cache header files.
- rev 6719, version 3.16.13
* Thu Aug 16 2007 - kkaempf@suse.de
- discard pattern files with incompatbile architecture, both
  for download and for parsing. (#298716)
- rev 6711
* Thu Aug 16 2007 - kkaempf@suse.de
- run sqlite asynchronously and add sql index files where
  appropriate, gives 6x performance on certain operations.
  Bumping cache schema version to 1004.
  (#300998)
- rev 6710
* Thu Aug 16 2007 - kkaempf@suse.de
- fix String::endsWith (#301038)
- rev 6709
* Thu Aug 16 2007 - schubi@suse.de
- added an _explicitly_requested in QueueItemConflict ( as already in
  QueueItemEstablish, QueueItemInstall, QueueItemUninstall ) in order to
  remove the conflicting item without an error message. Bug 299819
- rev 6699
* Thu Aug 16 2007 - jkupec@suse.cz
- forgot to set default refresh policy in checkIfToRefreshMetadata
- repo.refresh.delay default set to 10 minutes
- 6693
* Wed Aug 15 2007 - schubi@suse.de
- Bugfix while regarding correct vendor in update
- r6677
- version 3.15.0
* Wed Aug 15 2007 - jkupec@suse.cz
- repo.refresh.delay=<minutes> (ZConfig, "main" section) support
  added to delay next check & refresh until the specified number of
  minutes has passed from the last check or refresh (FATE #301991).
  Revisions: 6654, 6656, 6666, and 6667.
- filesystem::touch(Pathname) added (r6666)
- RepoManager::touchIndexFile(RepoInfo) added
- RepoManager::checkIfToRefreshMetadata(RepoInfo,Url,policy):
  decision to do the refresh moved to this public method.
- r6667
* Wed Aug 15 2007 - schubi@suse.de
- generate a resolver problem if addRequires does not find a resovable
  [#299486]
- rev 6660
* Tue Aug 14 2007 - schubi@suse.de
- Prioritized delete request by the user BEFORE delete requests due
  missing dependencies or conflicting dependencies. Bug 298322
- rev 6640
* Fri Aug 10 2007 - jkupec@suse.cz
- support also "Plaindir" as valid repo type name (#298622)
- revision 6616
- version 3.14.0
* Fri Aug 10 2007 - dmacvicar@suse.de
- fix segfault in Progress reporting
- progress report use name instead of alias (#298035)
- repoinfo returns alias if name is empty
* Fri Aug 10 2007 - dmacvicar@suse.de
- merge patch by dmueller to get rid of boost-regex
* Fri Aug 10 2007 - dmacvicar@suse.de
- dont create a second CacheStore in the same scope, will lock...
  [#297627]
* Thu Aug 09 2007 - jkupec@suse.cz
- fixed some RepoManager exception docs & history
- r6558
* Thu Aug 09 2007 - dmacvicar@suse.de
- feature #302135: Graceful update of 3rd party packages
  Automatic upgrading only sees packages from same vendor
  This allows not needed to have those locked.
- Add persistent locks file which allow wildcards. Users
  can lock certain packages adding lines like "kde* < 3.5"
- add applyLocks() to apply persistent locks before solving
* Thu Aug 09 2007 - schubi@suse.de
-  recognize changes in the pool (e.g. changing /etc/sysconfig/storage
  [#271912] wq
- Added locking resolvables in the testcases
- rev 6544
* Wed Aug 08 2007 - dmacvicar@suse.de
- add migrate-sources to %%post (#292986)
- 3.13.15
* Wed Aug 08 2007 - jkupec@suse.cz
- fixed bug with using wrong files from raw metadata cache
  (bug #297611) (duncanmv) (r6501, already released in 3.13.14)
* Wed Aug 08 2007 - schubi@suse.de
- fix in "ignore conflicts" if the conflict has been caused by an obsolete
  Bug# 297795
- r 6517
* Tue Aug 07 2007 - dmacvicar@suse.de
- implement susetags support for compressed metadata
  and testcases. (feature #301916)
- implement disk usage in cache. For installation requires
  some changes in YaST to setup the ZYpp getPartitions()
  before repos are cached. (bug #293039)
- added testcases for diskusage
- 3.13.14
* Mon Aug 06 2007 - jkupec@suse.cz
- fixed YUM parser to properly create source packages
- disabled reading of filelists.xml.gz by default (the data are
  currently not stored anyway)
- revision 6481
- version 3.13.13
* Sat Aug 04 2007 - ma@suse.de
- Don't download unwanted translation files (#293740).
- revision 6470
* Sat Aug 04 2007 - ma@suse.de
- Fix susetags repo to parse dikusage data (#293039)
- revision 6467
- version 3.13.12
* Fri Aug 03 2007 - ma@suse.de
- Add product attribute 'type' (aka 'category' which is now
  deprecated). Adapted sustags and yum parsers to parse and
  provide this value.
- revision 6464
- version 3.13.11
* Fri Aug 03 2007 - dmacvicar@suse.de
- fix modalias rel column number
- version 3.13.10
* Fri Aug 03 2007 - dmacvicar@suse.de
- Implemented option repo.add.probe to allow probing
  the added repositories
- version 3.13.9
* Fri Aug 03 2007 - schubi@suse.de
- Fixed detection of renamed packages while update.
- Added new translations
- rev 6445
* Fri Aug 03 2007 - ma@suse.de
- Speed up retrieving MediaNr attribute, as it slows down install
  order calculation. (#297173)
- revision 6442
* Fri Aug 03 2007 - dmacvicar@suse.de
- Fixed cache schema upgrade
* Fri Aug 03 2007 - ma@suse.de
- Fixed pattern includes and extends attributes.
- revision 6431
- version 3.13.8
* Fri Aug 03 2007 - schubi@suse.de
- API for retrieving additional dependencies" solver/detail/Resolver.h
- Handle additional dependencies in the testcases
- Handle system and language dependencies in the testcases correctly.
- r 6418
* Thu Aug 02 2007 - ma@suse.de
- Indicate changed pool content if /etc/sysconfig/storage USED_FS_LIST
  has changed. Resolver must discard any cached filesystem dependencies.
  (required for #271912)
- revision 6404
* Thu Aug 02 2007 - ma@suse.de
- Indicate changed pool content to the resolver. (required for #271912)
- revision 6398
- version 3.13.7
* Thu Aug 02 2007 - schubi@suse.de
- speedup error handling. Do not log ResolveInfo anymore. Set limit of 20
  problems. Bug 280387
- r 6378
- version 3.13.6
* Wed Aug 01 2007 - ma@suse.de
- Added interface to install source packages via zypper.
- revision 6373
- version 3.13.5
* Wed Aug 01 2007 - ma@suse.de
- Added package attributes Package::sourcePkgName and
  Package::sourcePkgEdition. Name and edition of the source
  rpm this package was built from.
- Added ZYpp::installSrcPackage to install a single source package.
- revision 6353
- version 3.13.4
* Tue Jul 31 2007 - ma@suse.de
- Temorary files and directories created by makeSibling use the
  same protection as the original.
- revision 6344
- version 3.13.3
* Tue Jul 31 2007 - schubi@suse.de
- Removed keepExtras from resolvePool. This will be handled
  in the solver internally now. #294727
- Checking if item really exists (#295544; ResolverInfoContainer.cc)
- revision 6317
- version 3.13.2
* Mon Jul 30 2007 - ma@suse.de
- Remove tribool from RepoInfo's interface.
- revision 6301
- version 3.13.1
* Mon Jul 30 2007 - ma@suse.de
- Fixed wrong media number reported by script, message and patch.
- Fixed script API to provide the scripts location on media (if not
  inlined).
- Introduced ScripProvider to make a script available on the local
  disk.
- revision 6288
- version 3.13.0
* Fri Jul 27 2007 - jkupec@suse.cz
- don't request media chage if the media is not changeable (like
  e.g. http)
- revision 6271
- version 3.12.1
* Fri Jul 27 2007 - dmacvicar@suse.de
- progress ticks for clean cache
- ZConfig: remove default from names.
- re enable reading cache callbacks
- ini parser without boost::regexp
  patch by dmueller (#152447)
* Fri Jul 27 2007 - ma@suse.de
- Fixed package to provide the location media number. (#294496)
- revision 6263
* Fri Jul 27 2007 - jkupec@suse.cz
- RepoFileReader - ignore empty url keys (baseurl, mirrorlist,
  gpgkey) instead of throwing bad url exception
- revision 6259
* Thu Jul 26 2007 - kkaempf@suse.de
- Make clearing of extra dependencies/conflicts configurable when
  resolvePool(). Leave the default as before (clear extras).
  Bug # 294727
- revision 6233
- version 3.12.0
* Thu Jul 26 2007 - dmacvicar@suse.de
- /var/lib/zypp/cache -> /var/cache/zypp
  (#292419)
- ini parser without boost::regexp, patch by dmueller
  (#152447)
* Wed Jul 25 2007 - ma@suse.de
- Make temp directory configurable  via environment
  variable ZYPPTMPDIR.
- revision 6202
- version 3.11.11
* Tue Jul 24 2007 - ma@suse.de
- Fixed bug in smart pointer comparison.
* Mon Jul 23 2007 - ma@suse.de
- Fix failing rename of metadata download directories across
  filesystem boundaries.
* Fri Jul 20 2007 - ma@suse.de
- Fixed malicious gettext include.
- Make ZConfig a singleton.
- revision 6123
* Thu Jul 19 2007 - ma@suse.de
- Fixed repo::provideFile to set a deleter for downloaded files
  (#293004).
- revision 6094
- version 3.11.10
* Thu Jul 19 2007 - ma@suse.de
- Query ByRepository now takes as well an alias.
* Wed Jul 18 2007 - dmacvicar@suse.de
- fix retrieval of container attributes in cache
  (#292698)
* Wed Jul 18 2007 - ma@suse.de
- Port zypp-query-pool (#292404)
- revision 6069
- version 3.11.9
* Wed Jul 18 2007 - schubi@suse.de
- added new calls in Resolver.h: addRequire,addConflict
* Wed Jul 18 2007 - ma@suse.de
- Fixed IniParser to allow '=' in values (#292669)
- revision 6063
* Wed Jul 18 2007 - dmacvicar@suse.de
- allow / in alias (#292628)
* Wed Jul 18 2007 - ma@suse.de
- Fixed repo::provideFile to throw on error.
- Fixed ResolvableQuery to use 0 as default for non existing
  numerical values.
- revision 6058
* Tue Jul 17 2007 - ma@suse.de
- Fixed OnMediLocation to use safe defaults. Added setLocaltion and
  additional ctor for convenience.
- revision 6047
* Tue Jul 17 2007 - schubi@suse.de
- Evalute update canditate:
  Take canditates only which are really installable. Bug 292077
  r 6034
* Mon Jul 16 2007 - jkupec@suse.cz
- fixed some tribool bugs in RepoInfo
- revision 6022
* Mon Jul 16 2007 - dmacvicar@suse.de
- fix reading of non existant repo
- r6018
- first submission to stable
- fix keywords parsing in susetags parser
- version 3.11.8
* Wed Jul 11 2007 - jkupec@suse.cz
- make resolvable query complete exceptionless with the database
- test that packages have some attributes
- disable progress adaptor for now
- revision 5977
- version 3.11.7
* Wed Jul 11 2007 - ma@suse.de
- fixed unresolved symbols
- revision 5972
- version 3.11.6
* Wed Jul 11 2007 - ma@suse.de
- fixed TranslatedText creating unwanted entries.
- fixed capability processing
- revision 5964
- version 3.11.5
* Tue Jul 10 2007 - jkupec@suse.cz
- MediaSetAccess::release() added
- Use attachDesiredMedia in MediaProducts
- Progress reporting improved
- revision 5959
- version 3.11.4
* Tue Jul 10 2007 - ma@suse.de
- fixed parsing translated texts.
- added source packages.
- revision 5947
- version 3.11.3
* Tue Jul 10 2007 - jkupec@suse.cz
- repo callbacks fixed
- Fixed YUM parser progress reporting
- Added CombinedProgressData
- make RepoImpl::resolvables() load lazy
- MediaProducts added for scanning products file
- Implement cache schema versioning and automatic invalidation of
  cache when schema changes
- revision 5942
- version 3.11.2
* Fri Jul 06 2007 - ma@suse.de
- Propagate pools repository_iterator to the UI
- revision 5911
- version 3.11.1
* Thu Jul 05 2007 - ma@suse.de
- Package::location is now returns an OnMediaLocation
- archivesize() renamed to downloadSize()
- Allow to iterate all Repositories that contribute
  Resolvables to the Pool.
- MediaSetAccess::provideDir added
- remove useless url check
- add old-api-style wrapper
- Add MediaProducts class
- revision 5892
- version 3.11.0
* Thu Jul 05 2007 - schubi@suse.de
- function isInstalledBy/installs
  Added an initial installation flag which shows if the item has been
  triggered for installation, or the dependency is already satisfied.
- Revision 5884
- Version 3.4.0
* Tue Jul 03 2007 - jkupec@suse.cz
- removed unused %%{prefix}/lib/zypp from %%files in spec file
- revision 5870
* Tue Jul 03 2007 - jkupec@suse.cz
- Old API (SourceManager, metadata parsers) dropped in favor of the
  new refactored ones (RepoManager, RepoParser(s), cache subtree,
  repo subtree).
- Some new API improvements.
- revision 5868
- version 3.10.0 (bumped minor to 10 to indicate refactoring branch)
* Fri Jun 22 2007 - schubi@suse.de
- New API calls which provides more information about one
  resolvable after a solverrun:
  isInstalledBy (const PoolItem_Ref item);
  installs (const PoolItem_Ref item);
- Revision 5835
* Thu Jun 21 2007 - adrian@suse.de
- fix changelog entry order
* Wed Jun 20 2007 - schubi@suse.de
- Ignore conflicting items which are uninstallable
- Create a "needed by" info if a requirement is still fulfilled.
- Allow only one needed_by and needed_by_capability in QueueItemInstall
- Added capability and type (REQUIRE, RECOMMEND,....) to
  ResolverInfoNeededBy
- Evaluate ResolverInfoNeededBy for more information in the error
  messages
- Enlarge detail description in the error messages
- Revision 5807
* Tue Jun 19 2007 - ma@suse.de
- Fixes for gcc-4.2
- revision 5786
- version 3.3.1
* Mon Jun 18 2007 - mvidner@suse.cz
- fixed so versioning from libtool to cmake
- 3.3.0
* Mon Jun 18 2007 - dmacvicar@suse.de
- Use gpg2 instead of gpg for keyring and make
  the package depend on it (#284211)
* Mon Jun 11 2007 - schubi@suse.de
- Required kmp packges FOR EACH installed/to_be_installed kernel will be installed.
  New dependency "packageand(foo:bar)" which provides an AND dependency by
  injecting a supplement/freshen.
  e.G. package novell-cluster-services-kmp-smp
  supplements: packageand(kernel-smp:novell-cluster-services-kmp)
  Bug 255011
- Dont check for architecture changes in atoms (#266178)
- Revision 5720
* Wed May 23 2007 - ma@suse.de
- Fixed package-manager script (#275847)
- revision 5614
* Wed May 23 2007 - schubi@suse.de
- fixed cmake
- version 3.2.2
* Wed May 23 2007 - schubi@suse.de
- Reduced logging in order to speedup solving Bug 275100
- revision 5603
- version 3.2.1
* Tue May 15 2007 - ma@suse.de
- Fix excess calls to releaseFile. (#274357)
- revision 5545
* Wed May 09 2007 - dmacvicar@suse.de
- Fix importing keys into rpm. (#270125)
- r5527
* Wed Apr 18 2007 - ma@suse.de
- Support filesystem dependencies to add needed filesystem RPMs
  automatically (Fate 301966).
- revision 5404
- version 3.2.0
* Mon Apr 16 2007 - jkupec@suse.cz
- avoiding attaching media where not needed (#263207)
- r5381
* Fri Apr 13 2007 - dmacvicar@suse.de
- fix FileCap with attributes
- r5376
* Thu Apr 12 2007 - ma@suse.de
- Fixed computation of install order. Take requirements of
  an installed packages uninstall scripts into account, if
  the package is updated. (#258682)
- revision 5349
- version 3.1.1
* Wed Apr 11 2007 - ma@suse.de
- Parse and provide package keywords. (Fate 120368)
- revision 5338
- version 3.1.0
* Thu Apr 05 2007 - schubi@suse.de
- Upgrade: Do NOT delete packages which have unresolved dependencies -->
  Ask the user. Bug 258322
- revision 5305
- version 3.0.3
* Wed Apr 04 2007 - ma@suse.de
- Fix restoring of Sources id root prefix is used. (#238165)
- revision 5299
- version 3.0.2
* Wed Apr 04 2007 - jkupec@suse.cz
- MediaManager::attachDesiredMedia() added to support multiple
  (CD/DVD) drives (fate #3974)
- r5296
* Wed Mar 14 2007 - schubi@suse.de
- If there is no valid solver result and NOT all resolvables ( other
  architecture) has been regarded, let the user decide making a new
  solver run with ALL available resolvables. Bug 223440
- reducing logging (error -> debug)  bug 252921
- Revision 5219
* Fri Mar 09 2007 - ma@suse.de
- Allow configuration of trusted vendors via
  /var/lib/zypp/db/trustedVendors. (#186636)
- revision 5194
- version 3.0.1
* Wed Mar 07 2007 - dmacvicar@suse.de
- libzypp-devel -> libzypp requirement is not versioned
  (#251086)
- r5181
* Tue Mar 06 2007 - schubi@suse.de
- Using already existing valid solver results for further solver runs.
  (partiell solving)
- r5169
* Fri Mar 02 2007 - dmacvicar@suse.de
- fix link order
- r5165
* Tue Feb 27 2007 - dmacvicar@suse.de
- merging from 10.2 / SP1
- #247459 ftp probing
  denied == dont exists in ftp
- r5124
* Tue Feb 27 2007 - schubi@suse.de
- Merging solver related stuff from SuSE-Linux-10_2-Branch ( till r5111):
- Simultaneouqusly establishing of items which are conflicting eachother is
  useless. So only one will be established. Fixed in QueueItemInstall.cc
  Bug 243595
- Added new upgrade options to fine tune version and patch handling.
  (F301990)
- The context of establishPool will be stored in Resolver and will be
  regarded for the next solver run everytime. So it will be not reset by
  any solver run anymore.
  bug 191810 ( A broken patch will not be installed again)
* Fri Feb 23 2007 - jkupec@suse.cz
- adding sotf,timeo=X nfs mount options by default (#235211)
- r5093
* Fri Feb 23 2007 - jkupec@suse.cz
- support for HTTP authentication prompt added (#190609)
- fixed problem with empty path in URL
  in MediaCurl::doGetFileCopy()
- r5085
* Mon Feb 12 2007 - jkupec@suse.cz
- Merged revisions 4926-4993,4995,4998-5006 via svnmerge from
  SuSE-Linux-10_2-Branch
- verifySystem: Regarding patterns too. Bug 239750 (schubi)
- verifySystem: The result will be set to APPL_HIGH, so it will be not
  reset by a second "normal" solver run. #239281 (schubi)
- yast2 reports invalid URL as 'unknown source type'
  (#209961) (dmacvicar)
- Added freshen language dependency in supplemements too if there is no
  entry in supplements.
  [#240617];IPA fonts are not installed even if select Japanese
  language (schubi)
- Setting allowed authentication methods to "basic,digest" if none
  provided in URL (#243006) (jkupec)
- Stopping after 50 valid solver results. Anymore would be useless. Bug
  243595 (schubi)
- r 5007
* Mon Feb 12 2007 - mvidner@suse.cz
- package-manager: use a generic su script from XDG (#235303, #244442)
* Fri Feb 09 2007 - jkupec@suse.cz
- Setting allowed authentication methods to "basic,digest" if none
  provided in URL (#243006)
- fixed gettext and rpath problems in configure.ac and Makefile.cvs
  (mvidner)
- r4999
* Wed Feb 07 2007 - jkupec@suse.cz
- MediaCurlException::dumpOn() adjusted for ncurses dialogue
  (#222602)
- 4984
* Mon Jan 29 2007 - dmacvicar@suse.de
- Merged revisions 4907-4926 from SuSE-Linux-10_2-Branch
- update packages: changing architecture is only valid while an
  system update and NOT while an update via a patch. Last fix does
  not fit for every case.
  Bug 230685
- Patch has selected not the concerning package for update but
  a package which has provided the required dependencies too.
  Algorithmus: If there are exactly two providers which differ in architecture
  prefer the better arch.
  Fix: Regarding NVRA too. ( only if equal )
  Bug 238284
- Download only English and Local translation
  (#208457)
- Added solver parameter:
  tryAllPossibilities: regarding every solver branch ( not only
  branches with e.G. best architectures
  preferHighestVersion: Prefer solver results which have a higher
  version number.
  Bug #238087
- update packages: changing architecture is only valid while an
  system update and NOT while an update via a patch.
  Bug 230685 - x86_64 MozillaFirefox binaries in security update
  repository
  Fix of version 2.11.2 has not worked if the first founded item
  had had another architecture.
- r4927
* Wed Jan 24 2007 - lslezak@suse.cz
- added ZYpp::getPartitions() - return the partitinoning
* Wed Jan 24 2007 - dmacvicar@suse.de
- Merged revisions 4705-4906 via svnmerge from SuSE-Linux-10_2-Branch
- Corrupt download cannot be skipped
  (#217425 and #224216)
- Enable package read ahead/caching in commit per default to reduce
  interactive media changes. If the environment variable
  ZYPP_COMMIT_NO_PACKAGE_CACHE is set, caching will be disabled. (F100182)
- added parameter not to reset resolver results while calling
  freshen pool Bug: 235761
- Prepare package read ahead/caching of packages in commit. Adatped the
  workflow. Caching details are now hidden inside CommitPackageCache.
  The current implementation still performs no read ahead. (for F100182)
- Skip invalid or broken rpm database entries. (#231211)
- verifySystem: check if the solution is valid after calling freshenPool()
  Bug: 235761
- Added own call for Resolver::verifySystem with additional
  hardware/language check in order to keep binary compatibility
  Fate #301224
- Rpm requires additional quoting of special chars in filenames.
  (#233967)
- Resolver::verifySystem checks for new hardware now by calling
  freshenPool. This is configureable. Fate #301224
- merged texts from proofread
- Don't consider patch/delta rpms if package architecture changes.
  (#231254)
- update packages: changing architecture is only valid while an
  system update and NOT while an update via a patch.
  Bug 230685 - x86_64 MozillaFirefox binaries in security update repository
- verifySystem: Do only regard items which will be on the system after the
  commit. Fate 301178
- feature #301369
  Import listed GPG Keys from an trusted installation source
- fix return call in new xml parser
- Enable system resolvables in Helix parser (Revision 4787)
- deptestomatic:
  Resetting transaction with the correct call;
  bugfix; Added kind in keep state (Revision 4788)
- Wrong behaviour in soft install/uninstall. --> Setting Transact with
  soft (Revision 4789)
- New call added: maySetToBeUninstalledSoft (Revision 4789)
  Both are only functions for the solver (Revision 4789)
- Resetting "by causer" in order to distinguish from state
  "keep by user". ( function setLock in order to remove lock)
  (Revision 4789)
- Better fix for Bug 217574: Checking if the resolveable CAN be deleted soft
  in QueueItemUninstall.cc (Revision 4790)
- Regarding "keep state by user". So avoiding "reselecting" by
  other requirements.
  Give a corresponding problem solution if a resolvable satisfy
  a dependency, but has been set to keep by the user.
  Bug : 222531 (Revision 4791)
- Allow to disable autoprotection of foreign vendor items. Required
  in zmd-backend. (F301735).
- use sqlite-zmd if using > 10.2 in spec. Use the one available
  durin compile.
- Item could has already been selected to soft uninstall (e.G. remove
  pattern which recommend this item ). Do not throw an exception anymore.
  bug#225278
- Added syscontent::Reader: Parse serialized set of ResObjects.
  (for F300729)
- If there has already been selected another item by the solver (e.g. from
  another source) we will take thatone in order to avoid parallel
  installation and there concerning error messages.
  Bug 224698
- In order to handle conflicting resolvable we try to update the
  conflicting item. While evaluating these canditates an already selected
  candidate will not be regarded. So it could be that an older package
  will be selected for update although a newer has already been selected. Revision 4765
- Conflicting items: The resolvable will be obsoleted by another. So it is useless finding an
  update candidate and evaluate additional branches.
- r4907
* Mon Dec 04 2006 - mt@suse.de
- Improved realpath() wrapper in media handler class (#222521).
- revision 4758
* Thu Nov 30 2006 - ma@suse.de
- version 3.0.0 (2.x.x now in SuSE-Linux-10_2-Branch)
- revision 4713
* Wed Nov 29 2006 - dmacvicar@suse.de
- use sqlite-zmd package for the non yet shipped zypp2/ stuff
  because backend uses this sqlite and it is no fun to
  install one and the other to develop (as the -devel packages)
  conflict.
- add cmake support for building zypp/ lib.
  TODO: soinfo, compile testcases, devel, zypp2,docs
  find rpm, curl and others.
- dont serialize interactive, as it is
  calculated now.
  (it was already fixed as we don't reimplement
  the method, but we still serialized, parsed)
- r4709
* Wed Nov 29 2006 - ma@suse.de
- fixed Patch::interactive to return true as well, if the patch
  itself has a licence. (#224192)
- revision 4702
- version 2.9.2
* Tue Nov 28 2006 - mt@suse.de
- Added search for /sbin/vol_id tool - that is in /lib/udev/vol_id
  on the installation image (#213852).
- revision 4700
* Tue Nov 28 2006 - schubi@suse.de
- Avoid duplicate pool entries; Bug 223750; second part of the fix
- r4698
- Version 2.9.1
* Mon Nov 27 2006 - schubi@suse.de
- Pool has multi instances of an item in the pool. Reduced this error
  to items which are identically at least. #217574 and #223750
- r4695
* Mon Nov 27 2006 - dmacvicar@suse.de
- replace spaces to underscores in product names
- 2.8.7
- r4688
* Mon Nov 27 2006 - dmacvicar@suse.de
- Mark some strings for translation (#219783 need it)
- r4682
* Mon Nov 27 2006 - mt@suse.de
- Added translations marks to hal, url and mutex exceptions (#23771)
- revision 4680
* Wed Nov 22 2006 - dmacvicar@suse.de
- don't make libzypp-devel depend on sqlite-devel as
  headers from zypp2 are not installed yet
- r4663
* Wed Nov 22 2006 - ma@suse.de
- Return an error if fork failed. (#204807)
- Make Script execution abortable by user request. (#212949, F100233)
- revision 4660
- version 2.8.6
* Tue Nov 21 2006 - mvidner@suse.cz
- Added package-manager wrapper script, with icon and .desktop (#222757).
  (Used by gnome-main-menu)
- version 2.8.5
- r4640
* Tue Nov 21 2006 - mt@suse.de
- Fixed target/hal - one more dbus_connection_close found (#216035)
- revision 4636
- version 2.8.4
* Mon Nov 20 2006 - schubi@suse.de
- translation added
  rev 4630
  version 2.8.3
* Mon Nov 20 2006 - ma@suse.de
- Process obsoletes when installing non-package objects. (#217352)
- revision 4621
- version 2.8.2
* Fri Nov 17 2006 - mt@suse.de
- Implemented volume device check using /sbin/vol_id (#213852).
- Revision 4619
* Fri Nov 17 2006 - schubi@suse.de
- new translation added
* Fri Nov 17 2006 - mt@suse.de
- Implemented an reuse of already existing foreign CD/DVD mount points
  (e.g. automounted) - depends on REUSE_FOREIGN_MOUNTS flag (#220206).
- Added a fallback check of the volume.mount_point HAL property to
  isAutoMountedMedia(); info.hal_mount.created_mount_point seems
  to be not avaliable in newer HAL versions (on 10.2).
- Revision 4615
- Version 2.8.1
* Fri Nov 17 2006 - ma@suse.de
- removed unused methods from Patch and PatchImplIf. Provided
  reasonable default implementation for Patch::interactive.
  (#221476).
- revision 4610
- Version 2.8.0
* Thu Nov 16 2006 - dmacvicar@suse.de
- Handle media eject failures (#216545)
- r4606
* Thu Nov 16 2006 - ma@suse.de
- Reimplemented RpmDb::checkPackage using librpm API instead
  of parsing "rpm --checksig" output. (#163202)
- Version 2.7.4
- revision 4600
* Wed Nov 15 2006 - schubi@suse.de
- NEW behaviour of the solver:
  Obsolete virtual provides. E.G.:
  Installed:
  -----------
  Name:           test-1.0-0
  Name:           moretest-1.0-0
  Provides:       test
  To be installed
  ------------------
  Name:           nomoretest-1.0-0
  Obsoletes:      test
  Result
  --------
  test-1.0-0 AND  moretest-1.0-0 will be deleted. In former versions only
  test-1.0-0 had been deleted. Bug 220999
- Translations added
  Version 2.7.3
  rev 4593
* Tue Nov 14 2006 - schubi@suse.de
- Bugfix in generating solver testcases:
   - added kind of capabilities in description file
   - removed unneded channel from uninstall in command file
* Mon Nov 13 2006 - mt@suse.de
- Try to call /bin/eject utility if the eject-ioctl fails.
- r4568
* Mon Nov 13 2006 - dmacvicar@suse.de
- ignore empty capabilities
- r4565
* Fri Nov 10 2006 - dmacvicar@suse.de
- make progress strings translatable (#219783)
- r4556
* Tue Nov 07 2006 - schubi@suse.de
-  While deleting a selection all concerning recommended
  packages will be deleted too.
  BUT those packages should not be deleted which have been
  set to KEEP by the user. bug 217574
  rev 4526
  VERSION: 2.7.2
* Tue Nov 07 2006 - schubi@suse.de
- Makefile in zypp2 fixed
  Revision 4520
* Tue Nov 07 2006 - schubi@suse.de
- Translations added
  Revision 4514
  VERSION: 2.7.1
* Mon Nov 06 2006 - dmacvicar@suse.de
- Make the parser more strict, rejecting broken sources
  but showing the error line.
  Last fix making the parser relax would break multitag
  descriptions with empty lines, now we check dependencies
  at a higher level. (reference #160607)
- r4501
* Fri Nov 03 2006 - schubi@suse.de
- New problem solution added: Unlock ALL resovables in order to speed up
  problem solution. Bug 206453
* Fri Nov 03 2006 - schubi@suse.de
- Translations added
* Thu Nov 02 2006 - mt@suse.de
- Fixed target/hal - removed dbus_connection_close calls, because
  the connections are shared; unref the ref-counted handle only.
  (#216035)
- r4442
* Thu Nov 02 2006 - dmacvicar@suse.de
- skipping unreachable packages won't work
  (#215445)
- r4468
* Wed Oct 25 2006 - dmacvicar@suse.de
- (#213793) Target store fails to recreate stored install-time (other
  Date and ByteCount values as well)
- skip comments and blank lines in multilists
  fixes (#214877) - zen-updater is not installed by default
- Automatically fix broken products when reading
  the product database.
  still pending: honour the read-only flag
  Changes to make this possible include
  using read_dir instead of boost directory
  iterator.
* Wed Oct 25 2006 - schubi@suse.de
- added new class for generating solver testcases:
  Testcase
* Wed Oct 25 2006 - ma@suse.de
- Finalized ui::PatternContents. (F301229)
- version 2.7.0
- revision 4413
* Wed Oct 25 2006 - mvidner@suse.cz
- Moved zypper and zypp-checkpatches(-wrapper) to zypper.rpm
- version 2.6.0
* Tue Oct 24 2006 - ma@suse.de
- Added ui::PatternContents: Helper class that will compute a patterns
  expanded install_packages set. (UI interface for F301229)
- revision 4387
* Tue Oct 24 2006 - mvidner@suse.cz
- removed the last reference to /usr/lib64 to fix the build
* Mon Oct 23 2006 - mvidner@suse.cz
- added "zypper info" (jkupec)
- version 2.5.2
* Mon Oct 23 2006 - dmacvicar@suse.de
- fix rpm db timestamp
- add extra urls and optional urls to product API
- r4378
* Fri Oct 20 2006 - mvidner@suse.cz
- zypper: nicer progress reports, with or without --verbose.
* Fri Oct 20 2006 - ma@suse.de
- Fixed reloading of target data after commit. Broken since
  rev 3880.
- version 2.5.1
- revision 4365
* Fri Oct 20 2006 - dmacvicar@suse.de
- put query-pool in /usr/lib/zypp and not lib64
- r4363
* Fri Oct 20 2006 - dmacvicar@suse.de
- revert keyring changes, causes endless loop (obvious)
- add dist-product information, adapt store
- version 2.5.0
- r4355
* Fri Oct 20 2006 - ma@suse.de
- zypp-query-pool: For products show additionally distributionName
  and distributionEdition. (required by #205392)
- revision 4349
* Fri Oct 20 2006 - ma@suse.de
- Add accessor for Product distributionName and distributionEdition.
  (required by #205392)
- revision 4347
* Thu Oct 19 2006 - dmacvicar@suse.de
- added test case for KeyRing
- fire trustedKeyAdded in all calls to import trusted key
  not only in signature check workflow.
- r4342
* Thu Oct 19 2006 - mvidner@suse.cz
- zypper update: implemented minimal version (patches only)
- zypper list-updates: changed default type from package to patch,
  consider patches affecting the package manager separately
* Thu Oct 19 2006 - dmacvicar@suse.de
- version 2.4.1
- r4338
* Thu Oct 19 2006 - dmacvicar@suse.de
- add zypp-query-pool, so registration doesn't depend on
  libzypp-zmd-backend being installed. Will remove from
  backend when suseregister gets updated.
* Thu Oct 19 2006 - schwab@suse.de
- Make sure config.rpath is present.
* Wed Oct 18 2006 - mvidner@suse.cz
- zypper search: fixed uninitialized members that made all searches
  exact and case sensitve
* Wed Oct 18 2006 - dmacvicar@suse.de
- zypp-checkpatches, write in the right file
- r4328
* Wed Oct 18 2006 - schubi@suse.de
- Install resolvables although they are unneeded
  if they have NOT the kind patch/atoms
  Bug 210538 - freshens/supplements does not work with patterns
- r4326
* Tue Oct 17 2006 - mvidner@suse.cz
- zypper service-add -r http://example.org/foo.repo (F#300641).
* Tue Oct 17 2006 - dmacvicar@suse.de
- zypp-checkpatches:
  save version of the generated xml to
  regenerate it if it changes.
  save a random token in case of error to
  force recreating xml file
- r4321
* Tue Oct 17 2006 - dmacvicar@suse.de
- remove permissions for zypp checkpatches from spec
- r4318
* Tue Oct 17 2006 - dmacvicar@suse.de
- registration fails because of wrong product data
  (#205392)
  use DISTPRODUCT,DISTVERSION to create the product
  resolvable. have this resolvable provide
  PRODUCT = VERSION
- r4312
* Mon Oct 16 2006 - mvidner@suse.cz
- zypper service-add -r ./foo.repo (F#300641).
* Mon Oct 16 2006 - jkupec@suse.cz
- zypper: added case-sensitive search, search in descriptions and
  summaries, search by resolvable type, substring and word
  matching, support for wildcards
- Revision 4303
* Mon Oct 16 2006 - mvidner@suse.cz
- Prevent the user from sending signals to zypp-checkpatches-wrapper
  (#211286).
* Mon Oct 16 2006 - schubi@suse.de
- Dont incomplete an uninstalled resolvable, even not when establishing.
  Incomplete only makes sense for installed resolvables (when they have broken
  deps), for patches (because they are needed) and for atoms (because they are
  used during patch calculation)
  Bug 198379
- Do not branch for packages with the same NVE but different architectures.
  Take the best architecture.
* Fri Oct 13 2006 - dmacvicar@suse.de
- implement rename source in sourcemanager
- r4286
* Fri Oct 13 2006 - dmacvicar@suse.de
- YaST sources: set alias to product summary if empty
- show alias on logs.
- r4281
* Thu Oct 12 2006 - dmacvicar@suse.de
- version 2.4.0 (bin incompat due to callback fixes)
- r4272
* Thu Oct 12 2006 - ma@suse.de
- Provide additional solver status information to the UI.
  (#162164,F301272)
- Fixed UI satus computation in presence of multiple available
  candidates.
- revision 4264
- version 2.3.1
* Thu Oct 12 2006 - dmacvicar@suse.de
- remove const in MediaChangeReport requestMedia that
  broke cd changing.
- r4262
* Wed Oct 11 2006 - mvidner@suse.cz
- zypper: added search (jkupec)
- removed the suid bit from zypp-checkpatches-wrapper so that the
  build passes until permissions.rpm is updated (~#211286).
- r4253
* Tue Oct 10 2006 - dmacvicar@suse.de
- Log microseconds if ZYPP_PROFILING env var is enabled.
- r4252
* Mon Oct 09 2006 - dmacvicar@suse.de
- YaST sources:
  Factory cannot be set with 'refresh' enabled
  (#204957)
- get rid of some const bool signatures in Source classes
- r4247
* Mon Oct 09 2006 - mvidner@suse.cz
- Added zypp-checkpatches and a suid-root zypp-checkpatches-wrapper.
* Fri Oct 06 2006 - schubi@suse.de
- select the best solution: prefering the total amount of install/update
  packages BEFORE source preferences. Bug 208784
* Fri Oct 06 2006 - dmacvicar@suse.de
- Introduce a method to see if a source supports a
  kind of resolvable at that time, so we can
  init a YUM source like factory but avoid parsing
  it if it contains no patches.
- add TODO
- zypp-checkpatches xml output
- r4235
* Mon Oct 02 2006 - mvidner@suse.cz
- added a CLI preview: zypper
- revision 4214
- version 2.2.3
* Mon Oct 02 2006 - dmacvicar@suse.de
- FATE #100165:
  Make Content File Aware of Different Architectures
  expand %%a in release notes with architecture
* Fri Sep 29 2006 - ma@suse.de
- Extended pattern parser to support includes/extends tags as hint
  for the IO. (F301229)
- revision 4199
- version 2.2.2
* Fri Sep 29 2006 - ma@suse.de
- Enabled sending of ScriptResolvableReport.
- Changed ScriptResolvableReport::start to send local path
  of script to be executed.
- revision 4190
- version 2.2.1
* Wed Sep 27 2006 - ma@suse.de
- Added ScriptResolvableReport. Callbacks triggered on script
  execution during commit. (F100233)
- revision 4187
- version 2.2.0
* Mon Sep 25 2006 - mvidner@suse.cz
- fix: Url::getRegisteredSchemes() would always return nothing
* Fri Sep 22 2006 - jkupec@suse.cz
- Made the build dependency on gettext-devel explicit
* Tue Sep 19 2006 - jsrain@suse.cz
- adapted multi-media YUM sources according to official YUM
  specification (F300743)
* Mon Sep 18 2006 - lslezak@suse.cz
- use RPM_OPT_FLAGS (meissner@suse.de)
* Mon Sep 18 2006 - lslezak@suse.cz
- SourceFactory::createFrom() - don't loose url,...
- r4160
* Mon Sep 18 2006 - kkaempf@suse.de
- reduce logging in ResolvableImpl.cc
- rev 4157
* Thu Sep 14 2006 - schubi@suse.de
- Replaced requirementIsMet by requirementIsInstalledOrUnneeded
  in QueueItemInstall and QueueItemRequire
  Bug 192535/204913
  removed fix:Thu Sep  7 18:31:46 CEST 2006 - schubi@suse.de
* Thu Sep 14 2006 - lslezak@suse.cz
- fixed SourceFactory::createFrom() - don't loose alias,
  cachedir,... parameters
* Thu Sep 14 2006 - mvidner@suse.cz
- Use RPM Enhances only if detected at configure time, to allow
  compilation with older rpm.
- callback params: use const string & instead of string (dmacvicar)
* Thu Sep 07 2006 - schubi@suse.de
- Do not regarding SATISFIED (regarding UNNEEDED) in isPresent if it is
  a package/script/message
  Bug: 192535
* Thu Sep 07 2006 - dmacvicar@suse.de
- add Source_Ref::checksum() which in combination with
  timestamp can give an idea of a source change.
- r4106
* Thu Sep 07 2006 - mvidner@suse.cz
- Implemented fgzstreambuf::compressed_tell and fXstream::getbuf to
  enable progress reporting on compressed streams.
* Wed Sep 06 2006 - dmacvicar@suse.de
- better error propagation
- r4096
* Tue Sep 05 2006 - mt@suse.de
- Removed libblkid dependency - the workaround using libblkid to
  check filesystem on XEN vbd mapped devices is obsolete, because
  the info is avaliable via /dev/disk/by-label link now. (#197107)
- revision 4087
* Thu Aug 31 2006 - ma@suse.de
- PackageProvider: Fixed broken retry. (#202163)
- revision 4071
* Thu Aug 31 2006 - ma@suse.de
- Fixed RpmDb::makePackageFromHeader: Catch NULL Header passed as argument and refuse
  to create a Package from a source package header.
- Added method Pathname::extension: Return all of the characters in name
  after and including the last dot in the last element of name.
- PlaindirImpl: Disable rpm signature verification when scaning a directory for
  rpms. Otherwise we'd need access to the rpm database to get the keys.
- revision 4069
* Wed Aug 30 2006 - schubi@suse.de
- Do not regarding SATISFIED/UNNEEDED in isPresent if it is
  a package/script/message
  Bug: 192535
* Wed Aug 30 2006 - ma@suse.de
- Speedup computation of number of rpm database entries.
- revision 4058
* Tue Aug 29 2006 - schubi@suse.de
- Fixed endless loop in transactResObject
  Bug 198095 - YaST2 Installaler crashes when selecting Gnome pattern to a KDE installation
* Tue Aug 29 2006 - dmacvicar@suse.de
- fix some testcases for tar file parser changes
- r4045
* Tue Aug 29 2006 - dmacvicar@suse.de
- missing includes
- clean old callbacks
- r4041
* Fri Aug 25 2006 - schubi@suse.de
- zyppPattern->install_packages returns SUGGESTED package too.
  Bug 201476
  Revision 4036
* Fri Aug 25 2006 - schubi@suse.de
- New behaviour in the solver: try with 'best' package first, try with 'all'
  packages if this fails.
  Bug :Bug 191983
* Fri Aug 25 2006 - dmacvicar@suse.de
- libzypp 2.1.0
- bump version due to incompatible callback changes in KeyRing
  Sources
* Thu Aug 24 2006 - dmacvicar@suse.de
- new keyring callbacks
- separate trust key from import key
- use PublicKey class instead of params, to be able
  to add more info like photos later (pending #181682)
- update zmart with those callbacks.
- better error handling (Exception types)
- make tmp file names more readable depending on the context
- r4026
* Wed Aug 23 2006 - dmacvicar@suse.de
- decouple probing from source creation, using the new
  media test for existence functions.
- r4019
* Tue Aug 22 2006 - mt@suse.de
- Fixed getDoesFileExist to reset the transfer range
- Added logging of curl debug messages to the zypp log.
  The env var ZYPP_MEDIA_CURL_DEBUG=1 logs curl infos,
  ZYPP_MEDIA_CURL_DEBUG=2 logs the in/out headers.
- r4018
* Fri Aug 18 2006 - kkaempf@suse.de
- remove the /etc/sysconfig/zypp:REWRITE_KERNEL_DEPS = yes check;
  see rev 3810 below. (#190163)
- rev 3998
* Thu Aug 17 2006 - dmacvicar@suse.de
- fix uninstalling of atoms (noop)
- r3995
* Wed Aug 16 2006 - dmacvicar@suse.de
- Implement initial verson of Media
  doesFileExist, for future source probing.
- r3984
* Tue Aug 15 2006 - dmacvicar@suse.de
- more dbus_connection_close fixes
- r3974
* Tue Aug 15 2006 - kkaempf@suse.de
- clean up 'incomplete' handling in QueueItemEstablish.
- rev 3973.
* Tue Aug 15 2006 - kkaempf@suse.de
- Don't set 'incomplete' for uninstalled patterns or products.
  (#198379)
- rev 3970.
* Mon Aug 14 2006 - schubi@suse.de
- Added new API calls:
  setAdditionalProvide
  setAdditionalConflict
  setAdditionalRequire
* Mon Aug 14 2006 - dmacvicar@suse.de
- don't link examples to testsuite library.
* Sat Aug 12 2006 - schwab@suse.de
- Disable profiling to work around compiler bug.
* Fri Aug 11 2006 - dmacvicar@suse.de
- forward port 3924:3939
- Add explicit finish callbacks for subtasks during ProvidePackage
   to avoid UI confusion.
- rev3957
* Fri Aug 11 2006 - dmacvicar@suse.de
- Introduce examples/
- fix some svn ignores
- fix compilation. Use: dbus_connection_close
- rev 3943
* Thu Aug 10 2006 - dmacvicar@suse.de
- Initial support for plain directory with rpms as source
- r3935
* Tue Aug 08 2006 - dmacvicar@suse.de
- Move the target query by kind function to
  a iterator, so we dont make a copy of the restore
  the iterator works loading by demand too
* Mon Aug 07 2006 - dmacvicar@suse.de
- rename the new initTarget to initializeTarget,
  leave the old one as is, but deprecate it.
- r3903
* Mon Aug 07 2006 - dmacvicar@suse.de
- forward port from SLES10 branch , till 3888
- Prefer to use available DeltaRpm or PatchRpm instead of downloading
  full packages. (#168844)
- rpmdb : Do not use the deprecated POSIX API, but boost::regex
- version 2.0.0
- rev 3893
* Fri Aug 04 2006 - dmacvicar@suse.de
- Separate target init from adding resolvables, getting rid of the
  uggly bool flag.
- dont clear the store each time Target::resolvables is called
- Load target resolvables on demand by kind, keep them cached later
- add Target::resolvablesByKind(kind) to allow query specific kind
  without reading all kinds. Used to port TargetProduct, which
  was reading the whole rpm database only to displayy base product
  name in YaST help.
- commit to pkg-bindings and packager will follow.
- jsrain will port more yast stuff, especially inst_source which
  startup time should by reduced by half afterwards.
- rev 3880
* Tue Aug 01 2006 - dmacvicar@suse.de
- forward port:
  rev 3786 fix to stalle tmpfiles broke patches.
  SLES was released with this broken. 10.1 has a blocked
  zypp update because this.
  Attempt to fix this. (#192535)
- fix configure.ac sqlite-source build path
- rev 3858
* Fri Jul 21 2006 - dmacvicar@suse.de
- link correctly
* Wed Jul 19 2006 - dmacvicar@suse.de
- dont link sqlite in the main lib.
- rev 3826
* Tue Jul 18 2006 - dmacvicar@suse.de
- susetags: parse product parser regexp only once
- parse yum factory 5 sec. (from 30) faster using
  another string find algorithm
- rev 3824
* Tue Jul 18 2006 - dmacvicar@suse.de
- Digest: Don't read the stream character wise but reading blocks,
    as advised by matz profiling.
- r3819
* Mon Jul 17 2006 - ma@suse.de
- Add "openSUSE", "ATI Technologies Inc." and "Nvidia" to
  trusted vendors. (#189573)
- revision 3804
* Thu Jul 13 2006 - dmacvicar@suse.de
- backport fix for stalle tmpfile (#191311)
- rev 3788
* Wed Jun 28 2006 - mt@suse.de
- deactivated media manager code that was disabling the
  automounter (#172419)
- rev 3724
* Mon Jun 26 2006 - dmacvicar@suse.de
- fix autorefresh (#186115)
- revision 3708
* Fri Jun 23 2006 - ma@suse.de
- forward port from SLE branch
- Set default permission for logfiles to 0640. (#187044)
- revision 3696
* Thu Jun 22 2006 - ma@suse.de
- forward port from SLE branch
- Fixed installation of SP or Add-On product switching to media 2
  too early. (#186607)
- revision 3691
* Wed Jun 21 2006 - dmacvicar@suse.de
- forward port from SLE branch
- Strip self provides without edition in Resolvable ctor.
  (#186079)
- Source::provideResolvables not implemented in yum source type.
  Product not set for packages that are available from update source
  (#186920)
- Hook modalias() supplements without package to "kernel" (#184840)
- Allow on-demand SourceManager::restore() (#186678)
- Hook modalias() supplements without package to "kernel" (#184840)
- rev 3676
* Mon Jun 19 2006 - mt@suse.de
- Fix adding resolving of path names for mount points (#181606)
- rev 3658
* Mon Jun 19 2006 - dmacvicar@suse.de
- merge download algorithm and refactoring from branch
  (#181204)
* Thu Jun 15 2006 - mvidner@suse.cz
- autodocs: use find+xargs to overcome command length limit,
  do not call doxygen unnecessarily (#185334).
- rev 3645
* Thu Jun 15 2006 - kkaempf@suse.de
- Dont use getZYpp in static constructor (#185198)
  Bugfix #178292 was wrong.
- Only warn on incompleting installed resolvables (#185197)
- rev 3644
* Thu Jun 15 2006 - kkaempf@suse.de
- Atoms might only be installed via patches (#184714)
- rev 3642
* Wed Jun 14 2006 - dmacvicar@suse.de
- fix for the last stall tmpfile (#178292)
- r3637
* Wed Jun 14 2006 - mt@suse.de
- Implemented transfer timeout inside of the progress callback.
  The timeout value can be set using timeout url parameter, the
  default transfer timeout is 180 seconds. (#181602)
- Added ssl_verify and ssl_capath url options used in https scheme,
  allowing to change or disable the ssl verify options. (#171622)
- Added fallback on read failures of /etc/mtab to /proc/mounts.
  Improved verbosity in mount and mount check related failure cases,
  incl. /etc/mtab dump. (#181606)
- rev 3623
* Wed Jun 14 2006 - kkaempf@suse.de
- combine knownAliases and knownUrls in a single function.
- rev 3616
* Mon Jun 12 2006 - kkaempf@suse.de
- honor parallel installs in resolver context (#181103)
- rev 3592
* Mon Jun 12 2006 - dmacvicar@suse.de
- right fix for tmpdir initialized in static constructor
- catch around provideJustFile in providePackage
-rev 3654
* Mon Jun 12 2006 - dmacvicar@suse.de
- fix #182003 YUM packages without size
- rev 3587
* Mon Jun 12 2006 - kkaempf@suse.de
- Allow to restore and remove by Url
- rev 3583
* Mon Jun 12 2006 - kkaempf@suse.de
- make atoms parallel installable (#181103)
- rev 3580
* Fri Jun 09 2006 - dmacvicar@suse.de
- Allow to restore by alias
- r3568
* Fri Jun 09 2006 - mvidner@suse.cz
- Do not fork in a global destructor, perl dislikes it (#182672).
  Fixes hanging ag_ldapserver and yast2-perl-bindings tests.
* Thu Jun 08 2006 - ma@suse.de
- Installation: Assert product information is stored to libzypp
  database before reboot. (#181198)
- Version 1.2.0; revision 3553
* Wed Jun 07 2006 - visnov@suse.cz
- Synchronize keys with rpm database before
  closing access to it (#182338)
- rev 3533
* Wed Jun 07 2006 - mt@suse.de
- Changed to just prefer DVD drives in "dvd:" scheme, instead of
  filter out the non-DVD drives completely. Allows a fallback to
  drives without the dvd HAL property e.g. in VMWare. (#177457)
- rev 3530
* Wed Jun 07 2006 - dmacvicar@suse.de
- Merge fix for stalle tmpdir due to cyclic references, using a master
  TmpDir for zypp. (#178292) . There is still 1 tmpdir to fix.
- rev 3521
* Wed Jun 07 2006 - dmacvicar@suse.de
- Fixes unneeded file download, and add download callbacks
  (still need yast side) #181204 and #160206
- Fix stalle tmpdir due to cyclic references, using a master
    TmpDir for zypp. # 178292
* Wed Jun 07 2006 - ma@suse.de
- fixed memory leak in PersistentStorage (#168690)
- revision 3519
* Wed Jun 07 2006 - ma@suse.de
- fixed memory leak in XMLSourceCacheParser (#168690)
- revision 3517
* Fri Jun 02 2006 - schubi@suse.de
-latest fi translation added
  Revision 3502
* Thu Jun 01 2006 - schubi@suse.de
-All installed resolvables has been set to "satisfied" in
  ResolverContext::unneeded . BUT:
  Patch concerning resolvables have to be set to
  "unneeded" although they are installed. In order
  getting the state "no longer applicable" (Bug 171590)
- rev 3496
* Thu Jun 01 2006 - kkaempf@suse.de
- compute status for scripts and messages so their freshens get
  properly honored (aj with postgresql-server)
- rev 3494
* Thu Jun 01 2006 - dmacvicar@suse.de
- revert not-used-yet rpmdb timestamp, as
  it broke rpmdb::init(). (#180040)
- rev 3490
* Thu Jun 01 2006 - schubi@suse.de
- updating gmo files, if po files has been changed; bug 164449
* Wed May 31 2006 - dmacvicar@suse.de
- Dont download twice if starting from 1st time
- fix typo
- rev 3481
* Wed May 31 2006 - dmacvicar@suse.de
- set cache dir only if storeMetadata is called as a public method.´
- rev 3475
* Wed May 31 2006 - kkaempf@suse.de
- schedule a package for installation if
  - it freshens / supplements something
  - it is not installed yet
  (#178721)
- rev 3473
* Wed May 31 2006 - dmacvicar@suse.de
- make susetags also implement download and check first.
- rev 3470
* Tue May 30 2006 - dmacvicar@suse.de
- make yum more robust. Never parse from provideFile
  but only from local disk. Make sure the cache
  is consistent before recreating it.
  the code is easier to follow and probably
  faster. checksum and signatures are
  checked on caching not on parsing.
  Required to implement refresh for #154990
- rev 3452
* Wed May 24 2006 - dmacvicar@suse.de
- implement timestamp for YUM and SuseTags
- actually use the license to confirm in yum patches
- add prerequires tag in yum optonally to the bad designed
  and nonintuitive pre=1
- rev 3448
* Wed May 24 2006 - dmacvicar@suse.de
- dont pass root on init but before.
- implement rpm db modification timestamp
    not used yet
- move Helix source to testsuite out of the solver
  so we can use it for target, storage tests
- add Source_Ref::timestamp(), default to now()
    in order to implement smart sync of sources by zmd
- don't parse desc and summary twice
- fix a segfault with tranlated text
- fix broken size tag introduced in rev 3427
- rev 3446
* Tue May 23 2006 - dmacvicar@suse.de
- dont accept corrupt sources, improve logs
* Tue May 23 2006 - ma@suse.de
- Added PoolItem_Ref::statusReset. Resets the PoolItem status without
  loosing autoprotection (eg. for foreign vendor). (assists #177469)
- rev 3431
* Tue May 23 2006 - jsrain@suse.cz
- added mediaNr() to PatchRpm and DeltaRpm classes
- rev 3430
* Tue May 23 2006 - dmacvicar@suse.de
- enable YUM license to confirm.
  needed for #174476
- adapt store to serialize and read all new resobject fields
- use install-time to now() when serializing (#174653)
- rev 3427
* Mon May 22 2006 - ma@suse.de
- Do not violate install order when restricting commit to a certain
  mediaNumber. (#170079)
- Version 1.1.0; rev 3423
* Mon May 22 2006 - mvidner@suse.cz
- Added SourceManager::findSourceByUrl to overcome alias mismatches
  (#177543).
- rev 3420
* Mon May 22 2006 - ma@suse.de
- Order all objects according to prerequirements, not just packages.
  (#173690)
- rev 3419
* Mon May 22 2006 - schubi@suse.de
- Added new translation
* Fri May 19 2006 - dmacvicar@suse.de
- fix missing homedir option for gpg (#171055)
- rev 3415
* Thu May 18 2006 - ma@suse.de
- Prevent against daemons launched in rpm %%post, that do not close
  their filedescriptors. (#174548)
- Version 1.0.1; rev 3413
* Thu May 18 2006 - jsrain@suse.cz
- fixed media number of package retrieved as a part of a patch
  (#174841)
- rev 3409
* Thu May 18 2006 - dmacvicar@suse.de
- fix missing package descriptions due to filtered packages
  by incompatible architectures. (#159109)
- rev 3404
* Thu May 18 2006 - kkaempf@suse.de
- decrease logging in DiskUsageCounter and Modalias (#163186)
- rev 3406
* Thu May 18 2006 - ma@suse.de
- Stay backward comapatible.
* Tue May 16 2006 - ma@suse.de
- Make basic attributes available through ResObject.
- Let ResObjects which do not require media access during
  commit return ZERO sourceMediaNr (required for #173690)
- Version 1.0.0
- rev 3390
* Tue May 16 2006 - kkaempf@suse.de
- reduce logging verbosity (#163186)
- rev 3381
* Tue May 16 2006 - schubi@suse.de
- setCandidate accept candidates with compatible architectures too. Not
  only with the same architecture. Bug 172594 - If update package has
  differet arch, UI display is wrong
* Tue May 16 2006 - mvidner@suse.cz
- Added Source_Ref::resStoreInitialized.
  If we know that noone has seen the resolvables yet, we can skip
  them too, eg. when deleting a source. (#174840)
- rev 3378
* Mon May 15 2006 - kkaempf@suse.de
- Honor freshens as conditionals independant from the installed/
  uninstalled status (#174797)
- rev 3376
* Mon May 15 2006 - kkaempf@suse.de
- State modifier "unneeded" is transitive for patches (#171590)
- rev 3375
* Thu May 11 2006 - schubi@suse.de
- Do not transact itself (update) in the transactResObject mechanism
  Bug 174290
* Thu May 11 2006 - mt@suse.de
- Reenabled improved large file support flags (unintentionally
  removed in rev 1544). Fixes bug #173753.
- Added large file support flags to libzypp.pc file allowing
  consistence checks in the application using features variable
- rev 3366
* Thu May 11 2006 - mvidner@suse.cz
- SourceManager: moved source deletion before creation
  so that we can recreate a deleted one (#174295)
- removed dead code dealing with known_caches from SourceManager::store
  (see r3195)
- r3362
* Thu May 11 2006 - jsrain@suse.cz
- fixed returning product short name and summary if product read
  from target store (#148625)
- rev 3360
* Wed May 10 2006 - jsrain@suse.cz
- set media verifier on redirected medium (#172599)
- rev 3359
* Mon May 08 2006 - kkaempf@suse.de
- fix 'transactResKind' to collect best providers by capability
  and to recursively transact items of same kind (#170114)
- rev 3355
* Mon May 08 2006 - dmacvicar@suse.de
- serialize the full URL to avoid missing password and other
  url settings (#148108)
- rev 3353
* Fri May 05 2006 - mt@suse.de
- Added a 60 sec connect timeout to MediaCurl (#172860)
- rev 3348
* Thu May 04 2006 - kkaempf@suse.de
- re-fetch also .asc and .key files before checking signature
  (#172597)
- rev 3350 (3345-10.1)
* Wed May 03 2006 - dmacvicar@suse.de
- Fix yum key verification, because a double variable declaration
* Wed May 03 2006 - dmacvicar@suse.de
- use --no-default-keyring to avoid creating a
    default gpg dir in / (#171055)
- rev 3335
* Wed May 03 2006 - dmacvicar@suse.de
- Fix YUM signature checking, we were passing the key instead of the
  signature.
- When the user trust a key, sync again. Bye to the session trusted
  keys and user being asked all the time. (#171213)
- r3332
* Wed May 03 2006 - ma@suse.de
- Cleanup index tables when removing items from pool (#170564).
* Wed May 03 2006 - kkaempf@suse.de
- backout rev 3246->3275 of TargetImpl.cc
- add missing testsuite/utils/TestUtils.h
- rev 3330
* Wed May 03 2006 - dmacvicar@suse.de
- more fixes for #171062, there were some files still not being
  read from cache.
- r3327
* Tue May 02 2006 - dmacvicar@suse.de
- cache keys and signature. Remove lot of duplicated code. (#171062)
- r3320
* Tue May 02 2006 - mt@suse.de
- Disabled isUseableAttachPoint check in MediaDIR -- we do not
  mount here anything, so it is OK to use any dir (171351).
- rev 3318
* Tue May 02 2006 - kkaempf@suse.de
- parse "license-to-confirm" in primary.xml (#168437)
- rev 3312
* Mon May 01 2006 - kkaempf@suse.de
- Don't try to store 'Atom', not needed and the backend store
  rejects them anyways (addtion to #168610)
- rev 3306
* Mon May 01 2006 - mt@suse.de
- Improved device check in MediaDISK using libblkid (Bug #158529)
- Allow to provide sysfs path via $SYSFS_PATH in MediaCD.cc and
  added a check if it is a directory
- Added libcurl and libblkid checks to configure.ac
- Added e2fsprogs(-devel) requires to the spec file
- rev 3303
* Sat Apr 29 2006 - kkaempf@suse.de
- dont download "other" during key check (#171041)
- rev 3294
* Sat Apr 29 2006 - kkaempf@suse.de
- allow parallel installs of atoms (used to fulfill patch require-
  ments, atoms aren't installed anyways) (#170098)
- some testsuite improvements.
- rev 3288
* Fri Apr 28 2006 - dmacvicar@suse.de
- get rid of autobuild check when throwing exceptions without throw
  but with a macro, returning a null pointer at the end (never reached).
* Fri Apr 28 2006 - ma@suse.de
- Do not violate install order when restricting commit to a certain
  mediaNumber. (#170079)
* Fri Apr 28 2006 - dmacvicar@suse.de
- Don't use throw directly!
  use ZYPP_THROW with a Exception class, otherwise package bindings
  will not catch them.
  Should fix crashes when reading broken sources with yast.
- rev 3272
* Fri Apr 28 2006 - schubi@suse.de
- Bug 162064 - font packages are not installed for locale, e.g. khmer font not installed after CD1
  revision 3269
* Fri Apr 28 2006 - kkaempf@suse.de
- revert bugfix #168906 (fom rev 3219), it filters too many errors.
- further improve on #168840 (from rev 3231), match on name-edition
  when filtering by best arch. (#170098)
- rev 3268
* Fri Apr 28 2006 - dmacvicar@suse.de
- #170093 , lot of package descriptions missing
- rev 3263
* Thu Apr 27 2006 - dmacvicar@suse.de
- try to fix wrong permissions of /var/lib/zypp created
  by old zypp, only when running as root they are fixed
  (#169094)
- YUM: Verify signatures on factoryInit.
  Dont provide other.xml. Cleanups, better logging.
  When refreshing signed soruces, don't refresh is source
  has not changed.
- YaST sources: don't refresh if media file has not changed.
- Show full url of index files in sources for signature validation
  (mentioned in #170139 comment #3)-
* Thu Apr 27 2006 - jsrain@suse.de
- udpated media ID syntax for external scripts (to be consistent
  with packages) (#170247)
- rev 3256
* Thu Apr 27 2006 - jsrain@suse.de
- set media ID to 1 if not specified in YUM metadata (#167452)
- rev 3255
* Thu Apr 27 2006 - kkaempf@suse.de
- If freshen and supplement are fulfilled, install any kind of
  resolvable if not yet installed (#165746)
- rev 3249
* Wed Apr 26 2006 - kkaempf@suse.de
- make downloaded script executable. (#169191)
- rev 3247
* Wed Apr 26 2006 - kkaempf@suse.de
- Improve on last fix, compare only compatible archs.
- rev 3233
* Tue Apr 25 2006 - kkaempf@suse.de
- Only choose best arch of multiple package atoms with identical
  name (#168840)
- rev 3231
* Tue Apr 25 2006 - dmacvicar@suse.de
- pass empty strings to UI as key properties if unknown key
  (#169114)
- rev 3228
* Tue Apr 25 2006 - kkaempf@suse.de
- refrain from parsing 'other.xml' (#159316)
- rev 3226
* Tue Apr 25 2006 - visnov@suse.cz
- in source refresh, clean up the cache dir if fails
- do not require repomd.xml.asc when creating a cache (#163765)
- rev 3224
* Tue Apr 25 2006 - dmacvicar@suse.de
- Check if a file exists before providing it, and just handling the
  exception is not sufficient, because it can release the media.
  it nows get all possible packages.X translations an then
  it selects the candidate from the existing ones (#168654)
- rev 3221
* Tue Apr 25 2006 - kkaempf@suse.de
- dont report conflicts if item is neither installed
  nor to-be-installed (#168906)
- rev 3219
* Tue Apr 25 2006 - dmacvicar@suse.de
- #168060 , propagate the file description or original
  name to the UI and not the checked filename path,
  which could be a tmp file.
  Requires changes in pkg-manager, and probably zmd-helpers.
- rev 3215
* Mon Apr 24 2006 - dmacvicar@suse.de
- /var/lib/zypp/db/languages/* are empty files (##168355)
- r3206
* Mon Apr 24 2006 - dmacvicar@suse.de
- All resolvables must honor arch, so Arch_noarch in
  target/store/XMLFilesBackend.cc is wrong (#160792)
- Introduced code to honour shared package descriptions
  (#159109)
- r3204
* Mon Apr 24 2006 - jsrain@suse.de
- replace '_' in YUM elements/attributes with '-' (#168762)
- rev 3201
* Mon Apr 24 2006 - mt@suse.de
- Fixed iseries workaround - interchanged variables for scsi
  devices, added debug messages about the steps (#163971).
- Added getenv NULL ptr check and verify of the $HOME dir's
  and ~/.curlrc file's ownership (#163203).
- rev 3199
* Mon Apr 24 2006 - ma@suse.de
- Use filesystem::TmpDir to create unique and unused Source cache
  directories. (#168051)
* Mon Apr 24 2006 - ma@suse.de
- Enable signature checks per default. (#168525)
* Mon Apr 24 2006 - visnov@suse.cz
- fix callbacks for providing a single file (#160206)
* Sun Apr 23 2006 - kkaempf@suse.de
- If an installed package looses a dependency, the solver tries
  to upgrade it. Limit the upgrade candidates to best arch, best
  edition.
- filter 'other' entries with incompatible arch in yum parser.
- rev 3177
* Sat Apr 22 2006 - jsrain@suse.de
- initialize the product category according to source (#168061)
- rev 3172
* Fri Apr 21 2006 - mvidner@suse.cz
- delete only one older version of a xml-store resolvable
  (half-baked, but the previous attempt was charred)
* Fri Apr 21 2006 - jsrain@suse.de
- moved license_to_confirm to primary.xml
- rev 3170
* Fri Apr 21 2006 - ma@suse.de
- Removed deprecated oldstyle commit methods.
* Fri Apr 21 2006 - mvidner@suse.cz
- when installing a xml-store resolvable (all except package,
  message, script), delete older versions (#160792).
- read selection edition from the XML store
- rev 3167
* Thu Apr 20 2006 - kkaempf@suse.de
- properly clear transaction flag after successful commit
  (see rev 3122, #164365, #167285)
- rev 3157
* Thu Apr 20 2006 - kkaempf@suse.de
- recursively soft-uninstall recommended package on real uninstall,
  not on update (#167603)
- rev 3155
* Thu Apr 20 2006 - dmacvicar@suse.de
- fix #167605 (importing keys to rpm multiple times due to
  wrong interpretation of rpm gpg versioning.
- add support for reading the rpm keys, with full id and fingerprint
- rev 3153
* Wed Apr 19 2006 - kkaempf@suse.de
- don't add duplicate error infos to ResolverContext (#167309)
- rev 3146
* Wed Apr 19 2006 - kkaempf@suse.de
- fix Resolver::transactReset() (see rev 3122) (#167285)
- rev 3140
* Wed Apr 19 2006 - ma@suse.de
- Introduced $ZYPP_KEYRING_DEFAULT_ACCEPT_ALL. If this environment
  variable is present, all signature checking callbacks will default
  to 'accept', in case no recipient is present.
* Wed Apr 19 2006 - dmacvicar@suse.de
- read content file on construction, and make
  provideProduct only insert the already
  read product object into the store (#165826)
  (dmacvicar)
- When the signature is not found, warn the
  user about a unsigned source. When the
  key is not found, do nothing, it can be in the
  keyring already. (#166016) (dmacvicar)
- enable key verification only if
  ZYPP_CHECKSIG env var is set (dmacvicar)
- r1529
* Tue Apr 18 2006 - kkaempf@suse.de
- fix bugfix 164365, fix bug 167285
  Actually clear the transcation state instead of locking it
  to 'dont transact'
- rev 3122
* Tue Apr 18 2006 - visnov@suse.cz
- revert the signature/digest checking callbacks
- rev 3115
* Tue Apr 18 2006 - kkaempf@suse.de
- Bugfix #165670
  - Honor keep requests.
  - Dont flag "locked uninstall" as error if a keep request was
  issued before.
- rev 3114
* Tue Apr 18 2006 - kkaempf@suse.de
- rule out locked items during distribution upgrade as early
  as possible. (#165670)
- rev 3110
* Mon Apr 17 2006 - kkaempf@suse.de
- Bugfix #166212
  - use APPL_LOW as 'ui initiated, by solver' in transactKind() and
  transactResObject().
  - resetTransaction(APPL_LOW) before resolving
  - enhance transactCaps by using the same algorithm as in
  QueueItemRequire
  (before: transact all requires and recommends by name
  now: transact best requires and recommends by provides)
- rev 3107
* Fri Apr 14 2006 - visnov@suse.cz
- new callbacks for failing digest
- rev 3098
* Thu Apr 13 2006 - visnov@suse.cz
- ask for file without a checksum (#165125)
* Thu Apr 13 2006 - kkaempf@suse.de
- dont install satisfied resolvables (#165843)
- rev 3095
* Thu Apr 13 2006 - kkaempf@suse.de
- dont abort on failed "dry_run" (#164583)
- rev 3091
* Thu Apr 13 2006 - visnov@suse.cz
- Ask user if signature file does not exist (#163765)
- handle repomd.xml.asc as optional file (#163765)
- rev 3089
* Thu Apr 13 2006 - schubi@suse.de
- Bug 164365 - build 906: Deselecting a selection, all packages are still selected
- rev 3087
* Thu Apr 13 2006 - kkaempf@suse.de
- Dont do transitive uninstalls on uninstalled or upgraded items.
  (#165798)
- rev 3083
* Wed Apr 12 2006 - ma@suse.de
- Added 'rpmNoSignature' to ZYppCommitPolicy (#163862)
* Wed Apr 12 2006 - mvidner@suse.cz
- Product::updateUrls: restore it from the XML store;
  fixed content parsing (#163192).
- restore product flags fro the XML store
- rev 3074
* Wed Apr 12 2006 - kkaempf@suse.de
- Only consider best arch/version (#165477)
- rev 3069
* Wed Apr 12 2006 - ma@suse.de
- No need to parse tags at all if there is no item to store values
  (e.g. data for unwanted arch). Fixed segv trying to store data in
  NULL item. (#165479)
- rev3065
* Tue Apr 11 2006 - mt@suse.de
- Improved Url path name "//" vs. "/%%2f" handling; now if the
  url has an authority, "/%%2f" is used for ftp only (#163784)
- rev 3062
* Tue Apr 11 2006 - jsrain@suse.de
- fixed storing patch scripts to target store (#159928)
- rev 3058
* Tue Apr 11 2006 - kkaempf@suse.de
- if a patch is bad, only skip this patch, not everything
  (#165200)
- rev 3057
* Tue Apr 11 2006 - ma@suse.de
- Susetags:Selections: Allow parsing older .sel file formats. (#159851)
- Susetags:Pattern: Fixed parser.
* Tue Apr 11 2006 - kkaempf@suse.de
- when uninstalling, only re-establish installed items
  supplementing the to-be-uninstalled one. (variant of #165111)
- rev 3054
* Tue Apr 11 2006 - ma@suse.de
- Susetags:Package: Parse and provide ins/delnotify texts.
* Tue Apr 11 2006 - kkaempf@suse.de
- when checking freshens/supplements at install, only consider
  best architecture/edition (#164453)
- rev 3051
* Tue Apr 11 2006 - kkaempf@suse.de
- when checking for supplements, only consider best arch, best
  edition for installation (#165111)
- rev 3047
* Tue Apr 11 2006 - schubi@suse.de
- Bug 165117: build 910: Update: Splitted packages are selected for
  all archs
* Tue Apr 11 2006 - visnov@suse.cz
- ask user if a file exists but does not have a checksum (#162797)
- rev 3044
* Tue Apr 11 2006 - jsrain@suse.de
- parse time and size elements from delta and patch RPM
- rev 3043
* Mon Apr 10 2006 - mt@suse.de
- Added detection of iSeries virtual CD (/dev/iseries/vcd[a-h])
  devices - on powerpc only (#163971)
- rev 3042
* Mon Apr 10 2006 - kkaempf@suse.de
- fix endless loop in patches parsing.
- rev 3039
* Mon Apr 10 2006 - jsrain@suse.de
- fixed media handling in SuSEtags source (#164879)
- rev 3037
* Mon Apr 10 2006 - kkaempf@suse.de
- honor 'dry_run' on package remove (#164732)
- rev 3036
* Mon Apr 10 2006 - kkaempf@suse.de
- add files from yum filelist as provides to package (#164731)
- rev 3032
* Mon Apr 10 2006 - kkaempf@suse.de
- honor "+Enh:/-Enh:" in packages file (#156513)
* Mon Apr 10 2006 - visnov@suse.cz
- fix callback receiver signature to match the callback for removing
  package
* Mon Apr 10 2006 - mvidner@suse.cz
- Added Product::updateUrls, from content/UPDATEURLS (#163192).
- rev 3024
* Sat Apr 08 2006 - schubi@suse.de
- Bug 164440; Taking wrong architecture while updating obsoletes
  splitted packages
- rev 3022
* Sat Apr 08 2006 - kkaempf@suse.de
- allow relative paths with url file:
- dont filter atoms from going into pool, multi-arch patch
  requirements need them. Instead, treat atoms with incompatible
  architecture as unneeded.
- rev 3018
* Sat Apr 08 2006 - jsrain@suse.de
- product now provides short name
- rev 3013
* Fri Apr 07 2006 - jsrain@suse.de
- read metadata for packages from correct tags in patches (#163220)
- rev 3011
* Fri Apr 07 2006 - kkaempf@suse.de
- more detailed resolver error reports (#162994)
- rev 3010
* Fri Apr 07 2006 - visnov@suse.cz
- report package download progress (#160966)
- rev 3007
* Fri Apr 07 2006 - kkaempf@suse.de
- transact also for languages (#163819)
- rev 3004
* Fri Apr 07 2006 - kkaempf@suse.de
- loop through all affected ResObjects in transactResKind (#163819)
- rev 3002
* Fri Apr 07 2006 - kkaempf@suse.de
- allow re-installation of non-packages (#162906)
- rev 2998
* Fri Apr 07 2006 - mt@suse.de
- Added loop checking for scsi cdroms (/sys/block/srX) in case
  HAL does not provide any drives like on iSeries (#163971).
- rev 2995
* Fri Apr 07 2006 - kkaempf@suse.de
- add 'licenceToConfirm()' to Product. (#164375)
* Fri Apr 07 2006 - ma@suse.de
- Avoid excessive CD hopping on commit. But still far from
  being perfect. (#159679)
- Fixed Target::commit: Despite dry_run set True, packages
  were depeted.
* Fri Apr 07 2006 - visnov@suse.cz
- honour if user decides to skip a package in commit (#156031)
* Thu Apr 06 2006 - jsrain@suse.de
- fixed parsing external reference to script in patch (#163221)
- r2981
* Thu Apr 06 2006 - dmacvicar@suse.de
- cache and provide content.asc/key optionally. Dont show a
  popup if they dont exists. (dmacvicar)
- Actually abort when verify signature workflow is false. (dmacvicar)
- r2978
* Thu Apr 06 2006 - jsrain@suse.de
- fixed setting autorefresh flag for installation sources
* Thu Apr 06 2006 - kkaempf@suse.de
- drop patches with incompatible architecture.
- rev 2972
* Thu Apr 06 2006 - mt@suse.de
- Added info method to media verifier base and more debug info
- rev 2970
* Wed Apr 05 2006 - kkaempf@suse.de
- Dont deny the "/" attach point in MediaDIR, since this is used
  for all "file:" urls, esp. local packages.
- rev 2962
* Wed Apr 05 2006 - schubi@suse.de
- Bug 159673 - only one conflict solvable per page
* Wed Apr 05 2006 - kkaempf@suse.de
- parse all dependencies of 'packages' file (#163773)
- rev 2957
* Wed Apr 05 2006 - dmacvicar@suse.de
- Use the original media descr_dir on refresh for
  suse tags source (#163196)
- r2952
* Wed Apr 05 2006 - kkaempf@suse.de
- add Source::setUrl() for zmd backend helper.
- rev 2946
* Wed Apr 05 2006 - dmacvicar@suse.de
- implement rpm keyring / zypp tmp keyring two-way syncronization at rpm
  target init. (dmacvicar)
- r2949
* Wed Apr 05 2006 - mt@suse.de
- Fixed MediaDISK to use a mount -oro,bind id the disk
  partition is already attached e.g. by the automounter.
  Try to mount it a second time may fail (#163486).
- rev 2944
* Wed Apr 05 2006 - kkaempf@suse.de
- honor optional 3rd parameter to "=Loc:" key of packages (#154337)
- rev 2940
* Wed Apr 05 2006 - visnov@suse.cz
- only try to create a source of a given type when restoring
  from the persistent store (#162111)
* Wed Apr 05 2006 - kkaempf@suse.de
- parse all dependencies for patterns (.pat) files (#160602)
- drop YOUPATH and YOUURL from content file.
- rev 2924
* Wed Apr 05 2006 - visnov@suse.cz
- properly initialize autorefresh for non-remote sources (#154990)
- rev 2919
* Tue Apr 04 2006 - mt@suse.de
- Added flag to MediaManager::isUseableAttachPoint, whether
  to check against system mount entries or not.
- Disallow to use the attachpoints of another media handlers
  as source path in MediaDIR.
- rev 2917
* Tue Apr 04 2006 - dmacvicar@suse.de
-implement callbacks for when package verification (checksum)
  fails, offer to retry or abort
* Tue Apr 04 2006 - dmacvicar@suse.de
- Fix construction of checksum objects when using non-standard
  checksum algorithms
- Fix broken YUM cache
- r2913
* Tue Apr 04 2006 - kkaempf@suse.de
- Keep packages with no version upgrade installed during
  distribution upgrade (#162972)
- add 'transactReset()' helper function for UI.
- rev 2908
* Tue Apr 04 2006 - dmacvicar@suse.de
- r2906
* Tue Apr 04 2006 - ma@suse.de
- Fixed candidate handling in ui::Selectable. (#156589)
* Tue Apr 04 2006 - dmacvicar@suse.de
- fix #162984 , gpg hangs because the matching data file
  for the key cannot be find. (dmacvicar)
- Fix restore of YUM source using the same cache dir semantics as
  susetags instead of assuming there is a cache if a cache_dir
  was given. (dmacvicar)
* Tue Apr 04 2006 - kkaempf@suse.de
- use DISTPRODUCT/DISTVERSION from content file to generate the
  product name, version, and release.
- rev 2902
* Mon Apr 03 2006 - mt@suse.de
- Removed broken forcing of absolute ftp paths added in rev2705 to
  MediaCurl, refined cleanupPathName/setPathName in url (#154197).
- rev 2900
* Mon Apr 03 2006 - kkaempf@suse.de
- add Resolver::freshenPool() (#156980)
- rev 2893
* Mon Apr 03 2006 - kkaempf@suse.de
- skip incompatible archs in filelist parsing.
- restrict pathes to 'interesting' ones (/bin/, /sbin/, /lib/,
  /lib64/, ...)
- rev 2886
* Mon Apr 03 2006 - kkaempf@suse.de
- skip incompatible archs in primary parsing.
- rev 2883
* Sun Apr 02 2006 - kkaempf@suse.de
- allow setting of source when parsing local .rpm (#147765)
- rev 2880
* Fri Mar 31 2006 - schubi@suse.de
- Do not update packages over other architectures
* Fri Mar 31 2006 - sh@suse.de
- Added zypp/ui/UserWantedPackages to support the UI's
  "automatic changes" dialog (bug #152700)
* Fri Mar 31 2006 - jsrain@suse.de
- use KeyRing class to validate repomd.xml (#160909)
* Fri Mar 31 2006 - dmacvicar@suse.de
- Product resolvables should be readable by normal users.
  (#162474) (dmacvicar)
- implemented keyring and metadata signature verification
  in susetags source
- dont delete the lock if we did not acquire it
- r2847
* Fri Mar 31 2006 - mt@suse.de
- Added disabling of the automounter while MediaManager
  init and restoring of the old state on exit (#154326).
- Implemented check if media (CD) is automounted or not
- rev 2840
* Fri Mar 31 2006 - mt@suse.de
- Implemented several hal get/set/removeDeviceProperty wrappers
- Improved HalException to allow to fetch HAL/DBUS error componets
- rev 2830
* Fri Mar 31 2006 - kkaempf@suse.de
- honor subscription status of catalogs (#162350)
- rev 2827
* Fri Mar 31 2006 - mt@suse.de
- Enabled CD eject error reporting exceptions (#154326)
- rev 2822
* Fri Mar 31 2006 - kkaempf@suse.de
- support "dry run" (#159467)
- implement "transactResKind" (#161400)
- rev 2817
* Thu Mar 30 2006 - jsrain@suse.de
- add checksum for external patches (#159928)
* Thu Mar 30 2006 - kkaempf@suse.de
- calculate product architecture (#158198)
* Thu Mar 30 2006 - jsrain@suse.de
- fixed checking checksum of YUM metadata, added sha1 vs. sha256
  detection
* Thu Mar 30 2006 - ma@suse.de
- Auto protect installed packages from unknown vendor. (#157446)
* Wed Mar 29 2006 - visnov@suse.de
- added support for external scripts to metadata (#159928) (jsrain)
- fixed handling of Language resolvables (ma)
- fix leak in rpmdb (dmacvicar)
- added softlock for autoyast (#159466) (ma)
- Fixed exceptions in doGetFileCopy() to show full url
  including the file instead of just the media base url. (mt)
- Provide Language::summary (ma)
- check patterns and selections file exist
  before veryfing them (#161300) (dmacvicar)
- added YUM metadata checksum computation (jsrain)
- added interface to patch of a message (jsrain)
- r2734
* Tue Mar 28 2006 - jsrain@suse.de
- added support for external scripts to metadata (#159928)
- r2709
* Sun Mar 26 2006 - jsrain@suse.de
- report separate exception when trying to start source cache again to
  suppress incorrect error message in XEN installation
- r2682
* Fri Mar 24 2006 - schubi@suse.de
- Implement inter process locking in zypp.
- Added No medium found output
- splitting modaliases in supplements TOO
- parse also the available signing keys
* Fri Mar 24 2006 - visnov@suse.cz
- release all media when removing source (#159754) (visnov)
- more testsuites (schubi)
- updated translations (schubi)
- added MediaNotEjectedException (mt)
- rev 2652
* Thu Mar 23 2006 - dmacvicar@suse.de
- fix patches descriptions (dmacvicar)
- fix source serialization (dmacvicar)
- metadata for kernel test (schubi)
- Arch tests updated (ma)
- classify NULL Ptr as unique (ma)
- Added host check, because file Url allows it now. (mt)
- prepare modalias fix (#159766) (ma)
- Provide iterator based access to SourceManager data. (ma)
- Fixed "file:" Url scheme config to allow relative paths; (mt)
  RFC1738 says, it may contain a hostname as well...
- revision 2633
* Wed Mar 22 2006 - visnov@suse.cz
- pkg-config support (mvidner)
- close all medias when destructing MediaSet (jsrain)
- rev 2622
* Wed Mar 22 2006 - dmacvicar@suse.de
- Bug 159976 - build 804: Adding AddOn CD via ftp gives error (dmacvicar)
- Message callback implemented to show patch messages (visnov)
- Bug 159696 (schubi)
- provide transform_iterators to iterate over a maps keys or values (ma)
- added 'bool Arch::empty() const' test for an empty Arch string (ma)
- added script and message installation (jsrain)
- chooses the 'right' kernel now (kkaempf)
- Use noarch if no arch is specified in patches (dmacvicar)
- rev 2611
* Tue Mar 21 2006 - mvidner@suse.cz
- Added some debug output including the access id (mt)
- Bug #154326: Enabled FORCE_RELEASE_FOREIGN flag causing
  release with eject=true on attached media, to umount
  other mounts as well. (mt)
- 159483 - solver does not blame missing dependency (schubi)
- Added a variant of MediaHandler::forceRelaseAllMedia (ma)
- Fixed MediaCD::forceEject() to handle DELAYED_VERIFY
  and use forceRelaseAllMedia if FORCE_RELEASE_FOREIGN=1 (ma)
- fixed ZYPP_RETHROW (#156430) (ma)
- patch for #156114 (visnov)
- fixed container.erase loops (ma)
- Fixed to reset desired (cached) flag before the action (mt)
- Removed return in forceRelaseAllMedia (void function) (mt)
- Parse nonexisting architecture to noarch so patches dont get
  filtered by the pool (dmacvicar)
- 159512 - yast2-qt does not show label of to be installed products
  anymore (dmacvicar)
- 159765 - Hidden patterns still visible (dmacvicar)
- Use noarch if no arch is specified. (dmacvicar)
- r2594
* Tue Mar 21 2006 - visnov@suse.de
- properly report error for media change callback
- rev 2579
* Tue Mar 21 2006 - ma@suse.de
- fixed memory leak in XMLNodeIterator (#157474)
- disabled storing filelist (YUMFileListParser) and changelog (YUMOtherParser)
- Renamed private MediaManager::forceMediaRelease
  function to forceReleaseShared (more exact name)
- Implemented forceRelaseAllMedia() that can be
  used to release also foreign (user) mounts.
- Added use of forceRelaseAllMedia for CD/DVDs
  if FORCE_RELEASE_FOREIGN is 1 (default 0)
- little cleanup of the checkAttached function
- r2578
* Mon Mar 20 2006 - mvidner@suse.cz
- don't try to attach without exception handling (#158620)
- fix descriptions, as a new tag Des for selections exists now.
- fix #157683: failure after adding add-on product to install
  sources
- added more files for translation
- resolve-dependencies.cc: establish pool
- parse-metadata.cc: catch bad URL
- set zmdid for atoms
- r2574
* Sun Mar 19 2006 - kkaempf@suse.de
- fix testsuite.
- provide edition and architecture for all kinds of yum
  resolvables.
- fix ResStatus output.
- establish atoms correctly.
- treat requires to unneeded resolvables as fulfilled.
- rev 2559
* Sun Mar 19 2006 - kkaempf@suse.de
- fix the build
- only consider best architecture/version (#157594)
- prefer providers which supplement/enhance installed or
  to-be-installed packages (fixes the tpctl-kmp issue)
- rev 2546
* Sat Mar 18 2006 - kkaempf@suse.de
- provide more filters for pkg-bindings (#158602)
- add SystemResObject to provide system (modalias, hal, ...)
  capabilities.
- handle this during resolving.
- make the modalias and hal capability match the SystemResObject
  by default, thereyby triggering a modalias (resp. hal)
  evaluation.
- xmlstore: decouple target store from YUM schema.
- clean up moving of hal() and modalias() from provides to
  supplements in ResolvableImpl.
- add PatchContents() for UI.
- handle Edition::noedition as empty string.
- r2537
* Wed Mar 15 2006 - jsrain@suse.de
- releasing all medias when asking for CD (#156981)
- r2471
* Tue Mar 14 2006 - mvidner@suse.cz
- ResStatus::resetTransact must return a value.
- Fixed random build failures in LanguageCode.cc.
  (Rewrote the CodeMaps constructor so that gcc does not
  optimize a 500-statement basic block.)
- Fix constructions of patch objects. Actually insert atoms in atoms
  list. Insert atoms for package even if the package does not exists
  in the source. Fixes #157628 (dmacvicar).
- Fixed license reading from susetags, #151834 (dmacvicar).
- r2468
* Tue Mar 14 2006 - mvidner@suse.cz
- added ResStatus::resetTransact (ma)
- bugfix for #156439 (schubi)
- Added Source_Ref::setAlias (#154913).
- Do not assume there is a product file when scanning for products
  (visnov)
- function to disable all sources in the persistent store (visnov)
- dependency errors go to stdout, not stderr; output resolver info
  directly to stderr (kkaempf)
- rev 2464
* Tue Mar 14 2006 - kkaempf@suse.de
- fix merging of resolver info (needed for #157684).
- errors are also important in ResolverInfo.
- improve debug output in ResolverContext.
- rev 2455
* Tue Mar 14 2006 - jsrain@suse.de
- delete RPMs downloaded via HTTP/FTP after installnig them
  (#157011)
- fixed product registration (reverted autorefresh patch) (#157566)
* Mon Mar 13 2006 - kkaempf@suse.de
- if root!="/", always prefer the upgrade candidate (#155472)
- implement license confirmed api for UI.
- prefer architecture over version in distribution upgrade
  (#157501)
- clean up media handling.
- rev 2448
* Mon Mar 13 2006 - kkaempf@suse.de
- init Modalias properly.
- fix warnings in testcases.
- rev 2432
* Sat Mar 11 2006 - kkaempf@suse.de
- drop libjpeg-devel and sqlite-devel from build requires.
* Sat Mar 11 2006 - kkaempf@suse.de
- implement 'modalias()' capability (#157406)
- make dependencies consistent, its 'freshens'.
- cope with user umounts of devices.
- add debug to SourceManager.
- rev 2418
* Fri Mar 10 2006 - kkaempf@suse.de
- allow version downgrade during distribution upgrade if the
  newer package is coming from a trusted vendor (#155472)
- implement locale fallback
- 'freshen' -> 'freshens' in schema definitions to make it
  consistent with all other dependency definitions.
- better error reporting for .pat and .sel files.
- rule out packages from dependency resolutions which are
  de-selected by user (#155368)
- use locale fallbacks in package translations.
- refresh source when re-enabling it.
- rev 2406
* Tue Mar 07 2006 - kkaempf@suse.de
- split of libzypp-zmd-backend subpackage as a stand-alone
  leaf package.
- encapsulate bool test for Source_Ref better.
- fixed stack overflow (ma).
- make testsuite build again.
- rev 2346
* Tue Mar 07 2006 - kkaempf@suse.de
- fixed URL rewriting for CD2 and following (#154762)
- fixed ResPoolProxy diffState (for proper ok/cancel support
  in UI)
- added special exception class for aborting installation
  (#154936)
- only auto-change directories if they end in CDn or DVDn.
- rev 2320.
* Tue Mar 07 2006 - kkaempf@suse.de
- silently ignore multiple installs of the same package.
- fix disk usage for installs and uninstalls.
- rev 2308
* Tue Mar 07 2006 - kkaempf@suse.de
- zmd-backend: filter out incompatible architectures from
  repository.
- rev 2298
* Mon Mar 06 2006 - kkaempf@suse.de
- sync libzypp media data with mtab.
- improve resolver error and solution reports.
- fix source cache reading (#155459).
- default cached sources to enabled (#155459).
- let each source provide public keys.
- rev 2297
* Sun Mar 05 2006 - kkaempf@suse.de
- only write by-sovler transactions back (#154976)
- rev 2278
* Sat Mar 04 2006 - kkaempf@suse.de
- release last used source at end of commit (#155002)
- rev 2277
* Sat Mar 04 2006 - kkaempf@suse.de
- cope with NULL values in zmd catalogs table (#153584)
- set YAST_IS_RUNNING in transact zmd helper (#154820)
- run SuSEconfig after transact zmd helper (#154820)
- add softTransact to honor user vs. soft requirements (#154650)
- honor all build keys provided by a package source.
- add source metadata refresh.
- add progress callbacks to zmd helpers.
- rev 2276
* Thu Mar 02 2006 - kkaempf@suse.de
- include .diffs into main source.
- catch exception when ejecting media which was unmounted externally
  (#154697).
- init source in zmd-backend correctly (#154667)
- implement disk usage info for YaST.
- clean up XML schema files.
- catch CPUs identifying as 'i686' but being 'i586'.
- allow definition of preferred attach (mount) point for media.
- make resolver results more readable.
- use language fallbacks if none of multiple language providers
  matches.
- get rid of ignoring wrong arch in resolver, having the wrong
  architecture is prevented by other means.
- prepare for translations in exceptions.
- fix 'abort does not abort'
- implement 'flag' I/O in target cache backend.
- skip incompatibles architectures in packages.<lang>
- rev 2228
* Thu Mar 02 2006 - kkaempf@suse.de
- dont even provide src/nosrc from the source.
- rev 2169 + diffs
* Wed Mar 01 2006 - kkaempf@suse.de
- Initialize commit result (#154409)
- release media if its wrong (#154326)
- dont copy src/nosrc packages to the pool (#154627)
- reduce XML logging.
- rev 2169 + diffs
* Tue Feb 28 2006 - kkaempf@suse.de
- fix path of .po files (#154074).
- parse the correct package.<lang> file (kinda #154074).
- complain about bad "=Sel:" or "=Pat:" lines (#153065).
- reattach all released medias.
- raise exception instead of abort() on XML errors (#154104).
- update translations.
- PathInfo: implemented a copy_dir_content (variant of copy_dir)
  and is_empty_dir utility function
- rev 2169
* Tue Feb 28 2006 - kkaempf@suse.de
- check freshens and supplements for packages (#154074).
- only complain about incomplete installed resolvables,
  if they are uninstalled, schedule them for installation.
  (#154074)
- add testcases for locale() provides.
- add lang_country -> lang fallback.
- have locale(parent:...) deps match any provides of 'parent'
  also when uninstalling a package.
- rev 2148
* Tue Feb 28 2006 - kkaempf@suse.de
- change the locale(...) separator to ";" (#153791)
- complete "find-files" of zmd-backend.
- rev 2140
* Tue Feb 28 2006 - visnov@suse.de
- avoid attaching media when initializing source
- rev 2139
* Mon Feb 27 2006 - kkaempf@suse.de
- warn about misspelled 'locale(...)' provides
- add testcases
- rev 2134
* Mon Feb 27 2006 - kkaempf@suse.de
- fix the build
- rev 2129
* Mon Feb 27 2006 - kkaempf@suse.de
- provide available locales to application (#153583)
- honor 'requestedLocales' (language dependant packages)
- honor release requests for all holders of a device.
- silently re-attach after a forced release.
- solver improvements.
- handle source caches.
- proper logging in zmd backend helpers.
- rev 2127
* Mon Feb 27 2006 - kkaempf@suse.de
- upgrade always to best version and arch (#153577)
- reset 'transact' state for obsoleted packages (#153578)
- translation updates
- rev 2113
* Mon Feb 27 2006 - kkaempf@suse.de
- add support for 'local' .rpm packages to zmd-backend.
- rev 2101
* Sun Feb 26 2006 - kkaempf@suse.de
- fix build of zmd/backend.
- actually fill 'files' table in package-files.
- rev 2094
* Sun Feb 26 2006 - kkaempf@suse.de
- improve testcases.
- add 'setPossibleLocales()' to ZYpp, this defines the set
  of possible locales to choose from (#153583)
- provide LanguageImpl and create 'Language' resolvables for
  each 'possible' locale.
- fix YUM parsing of patches, insert 'atoms' to link patches
  with packages.
- replace gzstream/ with own, existing implementation.
- honor locks in solver (#150231)
- sync pool with target after commit() properly (#150565, #153066)
- new zmd helper 'package-files'
- rev 2093
* Thu Feb 23 2006 - kkaempf@suse.de
- prevent multiple initializations of the target (#153124)
- implement 'loopback mounted ISO images'
- retain old package sources on upgrade.
- support compressed .xml files in 'repodata' type repositories.
- rev 2025
* Thu Feb 23 2006 - kkaempf@suse.de
- parse locale(...) provides and construct correct dependencies.
* Thu Feb 23 2006 - kkaempf@suse.de
- always upgrade to candidate (#152760).
- fix typo in package sorting.
- prepare handling of locale provides.
- rev 1995
* Thu Feb 23 2006 - kkaempf@suse.de
- sort src/nosrc package to right list during commit.
- revert installtime/buildtime in susetags parser (#152760)
- rev 1990
* Thu Feb 23 2006 - kkaempf@suse.de
- reset state after successful commit (#153030)
- run "rpm -e" always with "--nodeps" (#153026)
- provide separate resolvable kind for src packages.
- extend status field for LOCK and LICENSE.
- add sameState()/diffState() for UI.
- provide 'best' candidate for UI.
- set 60 sec timeout for curl access.
- don't cross-compare solver results, takes too much time.
- provide sizes of installed packages.
- extend REQUIRES semantics in content file.
- add "parse-metadata" helper to zmd-backend.
- rev 1987
* Wed Feb 22 2006 - kkaempf@suse.de
- provide complete disk usage data (#152761)
- include upgrade flag when copying solver solution
  back to pool (#152717)
- rev 1959
* Wed Feb 22 2006 - kkaempf@suse.de
- don't insert incompatible architectures to the pool (#151933)
- don't accept incompatible architectures from a repository
  (#151933)
- separate rpm log (#151431).
- allow extended product requires.
- rev 1954
* Wed Feb 22 2006 - kkaempf@suse.de
- provide the XML schema files in the main package. (#152593)
* Tue Feb 21 2006 - kkaempf@suse.de
- provide arch compat handling.
- implement data upload to zmd.
- fix source metadata caching on target.
- add 'supplements' dependencies to 'yum' parser.
- provide user agent identification to curl calls.
- move resolver branches (multiple alternatives) back in queue
  (resolve known things first, then the unknown ones).
- clean up 'packages' parser.
- rev 1947
* Tue Feb 21 2006 - kkaempf@suse.de
- improve media mount/umount interface
- prepare class ArchCompat for proper architecture ordering
  and compatibility handling.
- add returns to dummy functions in DbAccess.
- rev 1913
* Mon Feb 20 2006 - kkaempf@suse.de
- don't explictly delete to-be-upgraded packages.
- finish query-system, resolve-dependencies, and transact for
  libzypp-zmd-backend.
- provide Pattern::category.
- move system architecture to toplevel.
- make target store pathname settable.
- speed up rpmdb reading by properly filtering unwanted file
  provides.
- rev 1905
* Sun Feb 19 2006 - kkaempf@suse.de
- new translations.
- proofread texts.
- when comparing solutions, prefer higher versions.
- provide generic 'SafeBool' for bool conversions.
- add PtrTypes testsuites.
- rev 1876
* Fri Feb 17 2006 - kkaempf@suse.de
- integrate all diffs
- move Target::commit to toplevel API
- generalize dependency iterators and hash dependency
  information in pool (for speedup)
- add 'supplements' as dependency
- make more pattern attributes available
- drop "smbfs" in favour of "cifs" (#151476)
- add metadata cache to sources (Beta4 bug)
- run "rpm -e"  with name-version-release
- fix update conflicts
- rev 1864
* Thu Feb 16 2006 - kkaempf@suse.de
- fix-mediachange.diff: dont skip CD but retry after media change
- cd-eject-button.diff: fix CD url so YaST recognizes it and shows
  'eject' button
- release-forced-eject-no-ptrfix.diff: fix refcounting in ptrs
  so media handle gets actually released and media unmounted.
* Thu Feb 16 2006 - kkaempf@suse.de
- implement arch scoring
- prefer better arch (#151427)
- transitive depedencies of weak requirements are non-weak
  (#151446)
- rev 1778 + diff
* Wed Feb 15 2006 - kkaempf@suse.de
- ignore self and to-be-updated conflicts (#150844)
- fix enable of target store (for non-packages)
- rev 1778
* Wed Feb 15 2006 - kkaempf@suse.de
- fix "cd:" url (#151121)
- provide location() in public Package api
- allow running distribution upgrade in testmode
- extend HAL interface
- rev 1762
* Wed Feb 15 2006 - kkaempf@suse.de
- pass normal and locale packages from selections correctly.
- its "baseconf" for base selections.
- Make 'ZYpp' an obvious singleton.
- provide releasenotesUrl.
- dont continue upgrade without target.
- implement 'fake' hal for testing.
- fix package sizes.
- more solver testcases.
- rev 1754
* Tue Feb 14 2006 - kkaempf@suse.de
- extend requires of libzypp-devel
- provide package sizes for UI
- provide more UI helpers
- implement Product and related functions
- fix split provides in distribution upgrade
- provide locale information to system
- ask HAL for available devices
- reduce debug information in solver
- filter architectures in source, not in solver
- rev 1743
* Tue Feb 14 2006 - visnov@suse.de
- disable another testsuite for now
- fetch the default locale from environment
- support user-defined formatting of log
- rev 1710
* Mon Feb 13 2006 - visnov@suse.de
- providing basic product information from susetags source
- public API for preferred language
- implemented redirect of logging (#149001)
- report start/finish of source data parsing (#150211)
- store/restore source aliases properly (#150256)
- disable a lot of debug logging to speed up solver
- properly rewrite URL for CDn directory layouts (#149870)
- rev 1706
* Sun Feb 12 2006 - kkaempf@suse.de
- add save/restore state to facilitate UI 'cancel'
- enable target/store
- add 'forceResolve' call and flag to resolver to switch between
  task-oriented ZMD and interactive YaST behaviour.
- Fix resolver problem solution texts.
- improve solver problem solution offerings.
- fix media access handling to better support multiple
  requestors to single media.
- move the media number checking to the source (media requestor)
  which knows how to verify the correct media.
- Fix CD ordering (#149871), adding testcases.
- Move 'PoolItemList' and 'PoolItemSet' typedefs inside classes.
- Add selections to testcases.
- rev 1673
* Sat Feb 11 2006 - kukuk@suse.de
- Fix missing return in Source.cc:124
* Fri Feb 10 2006 - kkaempf@suse.de
- cope with empty arch field in selections
- enable dummy "enableStorage" function
- rev 1610-branch
* Fri Feb 10 2006 - kkaempf@suse.de
- fix random data return in Source.cc
- rev 1610
* Fri Feb 10 2006 - kkaempf@suse.de
- adapt zmd-backend to SourceImpl API change
- rev 1608
* Fri Feb 10 2006 - kkaempf@suse.de
- fix the packages parser bug. Now all packages are parsed
  including (english) translations.
  source/susetags is back to svn head.
- rev 1600
* Fri Feb 10 2006 - kkaempf@suse.de
- fix off-by-one bug in bitfield handling
- revert source/susetags to rev 1411
- rev 1586
* Fri Feb 10 2006 - kkaempf@suse.de
- dont prereq-sort non-packages
- rev 1584
* Thu Feb 09 2006 - kkaempf@suse.de
- rev 1582
* Thu Feb 09 2006 - kkaempf@suse.de
- update to rev 1543
* Thu Feb 09 2006 - ro@suse.de
- require hal-devel in libzypp-devel
- re-merge fixes (RPM_OPT_FLAGS)
* Thu Feb 09 2006 - kkaempf@suse.de
- make solver behaviour a bit more interactive
- rev 1537
* Wed Feb 08 2006 - schwab@suse.de
- Fix syntax error in configure script.
- Use RPM_OPT_FLAGS.
* Wed Feb 08 2006 - kkaempf@suse.de
- update for qt ui integration
- rev 1504
* Wed Feb 08 2006 - kkaempf@suse.de
- split off libzypp-zmd-backend
- rev 1466
* Wed Feb 08 2006 - kkaempf@suse.de
- another update to svn
* Mon Feb 06 2006 - kkaempf@suse.de
- finish rpm callbacks
- finish UI API
- fix state change resolver<->pool
- zmd backend stuff
- speed up tag file parsing
- rev 1405
* Mon Feb 06 2006 - schubi@suse.de
- disabling failing tests of s390 and ppc
* Mon Feb 06 2006 - schubi@suse.de
- Snapshoot rev 1367
* Mon Feb 06 2006 - kkaempf@suse.de
- use hashes for pool
- rev 1343
* Fri Feb 03 2006 - schubi@suse.de
- removed Obsoletes:    yast2-packagemanager
* Fri Feb 03 2006 - schubi@suse.de
- Snapshoot 3 Feb 2005 (11:30)
* Thu Feb 02 2006 - schubi@suse.de
- Snapshoot 2 Feb 2005 (14:00)
* Thu Feb 02 2006 - schubi@suse.de
- Snapshoot 2 Feb 2005 ( integrating YaST )
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - kkaempf@suse.de
- Initial version
